For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of PricingPlanSchedules for provided filters
      • POSTCreate a pricing plan schedule
      • GETGet a pricingPlanSchedule by resourceID
      • DELDelete a pricingPlanSchedule by resource ID
      • PATCHUpdate a pricingPlanSchedule
      • POSTCopy a pricing plan schedule
      • POSTMigrate a pricing plan schedule to a new pricing plan version
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPricing Plan Schedules

Get a list of PricingPlanSchedules for provided filters

GET
/v:version/pricing-plan-schedules
GET
/v:version/pricing-plan-schedules
$curl https://test.api.solvimon.com/v1/pricing-plan-schedules \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "type": "TRIAL",
7 "pricing_plan_subscription_id": "string",
8 "pricing_plan_id": "string",
9 "pricing_plan_version_id": "string",
10 "start_at": "2024-01-15T09:30:00Z",
11 "end_at": "2024-01-15T09:30:00Z",
12 "pricing_currency": "AED",
13 "billing_period": {
14 "type": "DAY",
15 "value": 1
16 },
17 "entitlements": [
18 {
19 "feature_id": "string",
20 "feature": {
21 "object_type": "string",
22 "id": "string",
23 "reference": "string",
24 "name": "string",
25 "description": "string",
26 "type": "SWITCH",
27 "enum_values": [
28 "string"
29 ],
30 "meter_value_calculation_id": "string",
31 "meter_value_calculation": {
32 "object_type": "string",
33 "id": "string",
34 "reference": "string",
35 "name": "string",
36 "description": "string",
37 "calculation_type": "SUM",
38 "persist": true,
39 "meter_id": "string",
40 "meter": {
41 "object_type": "string",
42 "id": "string",
43 "reference": "string",
44 "name": "string",
45 "description": "string",
46 "status": "DRAFT",
47 "meter_values": [
48 {
49 "id": "string",
50 "object": {
51 "object_type": "string",
52 "id": "string",
53 "reference": "string",
54 "name": "string",
55 "description": "string",
56 "status": "DRAFT",
57 "type": "NUMBER"
58 },
59 "required": true
60 }
61 ],
62 "meter_properties": [
63 {
64 "id": "string",
65 "object": {
66 "object_type": "string",
67 "id": "string",
68 "reference": "string",
69 "name": "string",
70 "description": "string",
71 "status": "DRAFT",
72 "type": "NUMBER",
73 "enum_values": [
74 "string"
75 ]
76 },
77 "required": true
78 }
79 ]
80 },
81 "meter_value_id": "string",
82 "meter_value": {
83 "object_type": "string",
84 "id": "string",
85 "reference": "string",
86 "name": "string",
87 "description": "string",
88 "status": "DRAFT",
89 "type": "NUMBER"
90 },
91 "meter_property_id": "string",
92 "meter_property": {
93 "object_type": "string",
94 "id": "string",
95 "reference": "string",
96 "name": "string",
97 "description": "string",
98 "status": "DRAFT",
99 "type": "NUMBER",
100 "enum_values": [
101 "string"
102 ]
103 }
104 }
105 },
106 "feature_reference": "string",
107 "override": true,
108 "number": "string",
109 "switch": true,
110 "amount": {
111 "quantity": "string",
112 "currency": "AED"
113 },
114 "enum": "string",
115 "string": "string",
116 "overwrite": true
117 }
118 ],
119 "discount": {
120 "pricing_item_configs": [
121 {
122 "ids": [
123 "string"
124 ],
125 "start_at": "2024-01-15T09:30:00Z",
126 "end_at": "2024-01-15T09:30:00Z",
127 "amount": {
128 "quantity": "string",
129 "currency": "AED"
130 },
131 "percentage": "string"
132 }
133 ],
134 "pricing_items": [
135 {
136 "ids": [
137 "string"
138 ],
139 "start_at": "2024-01-15T09:30:00Z",
140 "end_at": "2024-01-15T09:30:00Z",
141 "amount": {
142 "quantity": "string",
143 "currency": "AED"
144 },
145 "percentage": "string"
146 }
147 ],
148 "pricings": [
149 {
150 "ids": [
151 "string"
152 ],
153 "start_at": "2024-01-15T09:30:00Z",
154 "end_at": "2024-01-15T09:30:00Z",
155 "amount": {
156 "quantity": "string",
157 "currency": "AED"
158 },
159 "percentage": "string"
160 }
161 ],
162 "totals": [
163 {
164 "start_at": "string",
165 "end_at": "string",
166 "amount": {
167 "quantity": "string",
168 "currency": "AED"
169 },
170 "percentage": "string",
171 "coupon_id": "string",
172 "promotion_code_details": {
173 "promotion_code_id": "string",
174 "code": "string"
175 }
176 }
177 ],
178 "products": [
179 {
180 "ids": [
181 "string"
182 ],
183 "start_at": "string",
184 "end_at": "string",
185 "amount": {
186 "quantity": "string",
187 "currency": "AED"
188 },
189 "percentage": "string",
190 "coupon_id": "string",
191 "promotion_code_details": {
192 "promotion_code_id": "string",
193 "code": "string"
194 }
195 }
196 ],
197 "product_items": [
198 {
199 "ids": [
200 "string"
201 ],
202 "start_at": "string",
203 "end_at": "string",
204 "amount": {
205 "quantity": "string",
206 "currency": "AED"
207 },
208 "percentage": "string",
209 "coupon_id": "string",
210 "promotion_code_details": {
211 "promotion_code_id": "string",
212 "code": "string"
213 }
214 }
215 ],
216 "product_categories": [
217 {
218 "ids": [
219 "string"
220 ],
221 "start_at": "string",
222 "end_at": "string",
223 "amount": {
224 "quantity": "string",
225 "currency": "AED"
226 },
227 "percentage": "string",
228 "coupon_id": "string",
229 "promotion_code_details": {
230 "promotion_code_id": "string",
231 "code": "string"
232 }
233 }
234 ]
235 },
236 "markup": {
237 "pricing_item_configs": [
238 {
239 "ids": [
240 "string"
241 ],
242 "start_at": "2024-01-15T09:30:00Z",
243 "end_at": "2024-01-15T09:30:00Z",
244 "amount": {
245 "quantity": "string",
246 "currency": "AED"
247 },
248 "percentage": "string"
249 }
250 ]
251 },
252 "commitment": {
253 "pricing_item_configs": [
254 {
255 "ids": [
256 "string"
257 ],
258 "meter_value_calculation": {
259 "number": "string",
260 "amount": {
261 "quantity": "string",
262 "currency": "AED"
263 }
264 },
265 "start_at": "2024-01-15T09:30:00Z",
266 "end_at": "2024-01-15T09:30:00Z",
267 "amount": {
268 "quantity": "string",
269 "currency": "AED"
270 }
271 }
272 ],
273 "pricing_items": [
274 {
275 "ids": [
276 "string"
277 ],
278 "start_at": "2024-01-15T09:30:00Z",
279 "end_at": "2024-01-15T09:30:00Z",
280 "amount": {
281 "quantity": "string",
282 "currency": "AED"
283 }
284 }
285 ],
286 "pricings": [
287 {
288 "ids": [
289 "string"
290 ],
291 "start_at": "2024-01-15T09:30:00Z",
292 "end_at": "2024-01-15T09:30:00Z",
293 "amount": {
294 "quantity": "string",
295 "currency": "AED"
296 }
297 }
298 ],
299 "totals": [
300 {
301 "start_at": "2024-01-15T09:30:00Z",
302 "end_at": "2024-01-15T09:30:00Z",
303 "amount": {
304 "quantity": "string",
305 "currency": "AED"
306 }
307 }
308 ]
309 },
310 "promotion_codes": [
311 "string"
312 ],
313 "coupon_ids": [
314 "string"
315 ],
316 "coupon_discount": {
317 "pricing_item_configs": [
318 {
319 "ids": [
320 "string"
321 ],
322 "start_at": "2024-01-15T09:30:00Z",
323 "end_at": "2024-01-15T09:30:00Z",
324 "amount": {
325 "quantity": "string",
326 "currency": "AED"
327 },
328 "percentage": "string"
329 }
330 ],
331 "pricing_items": [
332 {
333 "ids": [
334 "string"
335 ],
336 "start_at": "2024-01-15T09:30:00Z",
337 "end_at": "2024-01-15T09:30:00Z",
338 "amount": {
339 "quantity": "string",
340 "currency": "AED"
341 },
342 "percentage": "string"
343 }
344 ],
345 "pricings": [
346 {
347 "ids": [
348 "string"
349 ],
350 "start_at": "2024-01-15T09:30:00Z",
351 "end_at": "2024-01-15T09:30:00Z",
352 "amount": {
353 "quantity": "string",
354 "currency": "AED"
355 },
356 "percentage": "string"
357 }
358 ],
359 "totals": [
360 {
361 "start_at": "string",
362 "end_at": "string",
363 "amount": {
364 "quantity": "string",
365 "currency": "AED"
366 },
367 "percentage": "string",
368 "coupon_id": "string",
369 "promotion_code_details": {
370 "promotion_code_id": "string",
371 "code": "string"
372 }
373 }
374 ],
375 "products": [
376 {
377 "ids": [
378 "string"
379 ],
380 "start_at": "string",
381 "end_at": "string",
382 "amount": {
383 "quantity": "string",
384 "currency": "AED"
385 },
386 "percentage": "string",
387 "coupon_id": "string",
388 "promotion_code_details": {
389 "promotion_code_id": "string",
390 "code": "string"
391 }
392 }
393 ],
394 "product_items": [
395 {
396 "ids": [
397 "string"
398 ],
399 "start_at": "string",
400 "end_at": "string",
401 "amount": {
402 "quantity": "string",
403 "currency": "AED"
404 },
405 "percentage": "string",
406 "coupon_id": "string",
407 "promotion_code_details": {
408 "promotion_code_id": "string",
409 "code": "string"
410 }
411 }
412 ],
413 "product_categories": [
414 {
415 "ids": [
416 "string"
417 ],
418 "start_at": "string",
419 "end_at": "string",
420 "amount": {
421 "quantity": "string",
422 "currency": "AED"
423 },
424 "percentage": "string",
425 "coupon_id": "string",
426 "promotion_code_details": {
427 "promotion_code_id": "string",
428 "code": "string"
429 }
430 }
431 ]
432 },
433 "seats_values": [
434 {
435 "pricing_item_config_id": "string",
436 "number": "string",
437 "amount": {
438 "quantity": "string",
439 "currency": "AED"
440 },
441 "start_at": "2024-01-15T09:30:00Z",
442 "end_at": "string"
443 }
444 ],
445 "included_volumes": [
446 {
447 "pricing_item_config_id": "string",
448 "number": "string",
449 "amount": {
450 "quantity": "string",
451 "currency": "AED"
452 },
453 "start_at": "2024-01-15T09:30:00Z",
454 "end_at": "2024-01-15T09:30:00Z",
455 "reset_type": "string"
456 }
457 ],
458 "enabled_pricings": [
459 {
460 "pricing_id": "string",
461 "start_at": "2024-01-15T09:30:00Z",
462 "end_at": "2024-01-15T09:30:00Z"
463 }
464 ],
465 "override_pricings": [
466 {
467 "object_type": "string",
468 "id": "string",
469 "pricing_plan_version_id": "string",
470 "pricing_plan_schedule_id": "string",
471 "pricing_group_id": "string",
472 "original_pricing_id": "string",
473 "original_pricing": {},
474 "override": "ALL",
475 "name": "string",
476 "product_type": "DEFAULT",
477 "product_ids": [
478 "string"
479 ],
480 "display_order": 1,
481 "products": [
482 {
483 "object_type": "string",
484 "id": "string",
485 "category_id": "string",
486 "category": {
487 "object_type": "string",
488 "id": "string",
489 "name": "string",
490 "reference": "string",
491 "description": "string",
492 "tax_category": "STANDARD",
493 "display_order": 1,
494 "customer_id": "string"
495 },
496 "parent_product_id": "string",
497 "name": "string",
498 "reference": "string",
499 "description": "string",
500 "status": "DRAFT",
501 "product_type": "DEFAULT",
502 "tax_category": "STANDARD",
503 "features": [
504 {
505 "id": "string",
506 "reference": "string"
507 }
508 ],
509 "custom_fields": [
510 {
511 "id": "string",
512 "reference": "string",
513 "value": "string",
514 "values": [
515 "string"
516 ],
517 "integration_details": {
518 "id": "string",
519 "reference": "string",
520 "payment_gateway_variant": "ADYEN",
521 "adyen": {
522 "recurring_detail_reference": "string"
523 },
524 "stripe": {
525 "payment_method_id": "string"
526 }
527 }
528 }
529 ],
530 "display_order": 1,
531 "linked_integrations": [
532 {
533 "id": "string",
534 "link_details": [
535 {
536 "url": "string",
537 "custom_field_name": "string"
538 }
539 ]
540 }
541 ],
542 "billing_entity_id": "string",
543 "customer_id": "string"
544 }
545 ],
546 "entitlements": [
547 {
548 "feature_id": "string",
549 "feature": {
550 "object_type": "string",
551 "id": "string",
552 "reference": "string",
553 "name": "string",
554 "description": "string",
555 "type": "SWITCH",
556 "enum_values": [
557 "string"
558 ],
559 "meter_value_calculation_id": "string",
560 "meter_value_calculation": {
561 "object_type": "string",
562 "id": "string",
563 "reference": "string",
564 "name": "string",
565 "description": "string",
566 "calculation_type": "SUM",
567 "persist": true,
568 "meter_id": "string",
569 "meter": {
570 "object_type": "string",
571 "id": "string",
572 "reference": "string",
573 "name": "string",
574 "description": "string",
575 "status": "DRAFT",
576 "meter_values": [
577 {
578 "id": "string",
579 "object": {
580 "object_type": "string",
581 "id": "string",
582 "reference": "string",
583 "name": "string",
584 "description": "string",
585 "status": "DRAFT",
586 "type": "NUMBER"
587 },
588 "required": true
589 }
590 ],
591 "meter_properties": [
592 {
593 "id": "string",
594 "object": {
595 "object_type": "string",
596 "id": "string",
597 "reference": "string",
598 "name": "string",
599 "description": "string",
600 "status": "DRAFT",
601 "type": "NUMBER",
602 "enum_values": [
603 "string"
604 ]
605 },
606 "required": true
607 }
608 ]
609 },
610 "meter_value_id": "string",
611 "meter_value": {
612 "object_type": "string",
613 "id": "string",
614 "reference": "string",
615 "name": "string",
616 "description": "string",
617 "status": "DRAFT",
618 "type": "NUMBER"
619 },
620 "meter_property_id": "string",
621 "meter_property": {
622 "object_type": "string",
623 "id": "string",
624 "reference": "string",
625 "name": "string",
626 "description": "string",
627 "status": "DRAFT",
628 "type": "NUMBER",
629 "enum_values": [
630 "string"
631 ]
632 }
633 }
634 },
635 "feature_reference": "string",
636 "override": true,
637 "number": "string",
638 "switch": true,
639 "amount": {
640 "quantity": "string",
641 "currency": "AED"
642 },
643 "enum": "string",
644 "string": "string",
645 "overwrite": true
646 }
647 ],
648 "items": [
649 {
650 "object_type": "string",
651 "id": "string",
652 "original_pricing_item_id": "string",
653 "original_pricing_item": {},
654 "override": "ALL",
655 "product_item_ids": [
656 "string"
657 ],
658 "product_items": [
659 {
660 "object_type": "string",
661 "id": "string",
662 "product_id": "string",
663 "product": {
664 "object_type": "string",
665 "id": "string",
666 "category_id": "string",
667 "category": {
668 "object_type": "string",
669 "id": "string",
670 "name": "string",
671 "reference": "string",
672 "description": "string",
673 "tax_category": "STANDARD",
674 "display_order": 1,
675 "customer_id": "string"
676 },
677 "parent_product_id": "string",
678 "name": "string",
679 "reference": "string",
680 "description": "string",
681 "status": "DRAFT",
682 "product_type": "DEFAULT",
683 "tax_category": "STANDARD",
684 "features": [
685 {
686 "id": "string",
687 "reference": "string"
688 }
689 ],
690 "custom_fields": [
691 {
692 "id": "string",
693 "reference": "string",
694 "value": "string",
695 "values": [
696 "string"
697 ],
698 "integration_details": {
699 "id": "string",
700 "reference": "string",
701 "payment_gateway_variant": "ADYEN",
702 "adyen": {
703 "recurring_detail_reference": "string"
704 },
705 "stripe": {
706 "payment_method_id": "string"
707 }
708 }
709 }
710 ],
711 "display_order": 1,
712 "linked_integrations": [
713 {
714 "id": "string",
715 "link_details": [
716 {
717 "url": "string",
718 "custom_field_name": "string"
719 }
720 ]
721 }
722 ],
723 "billing_entity_id": "string",
724 "customer_id": "string"
725 },
726 "name": "string",
727 "status": "DRAFT",
728 "reference": "string",
729 "description": "string",
730 "type": "REVENUE",
731 "model_type": "USAGE_BASED",
732 "usage_based": {
733 "meter_value_calculation_id": "string",
734 "meter_value_calculation": {
735 "object_type": "string",
736 "id": "string",
737 "reference": "string",
738 "name": "string",
739 "description": "string",
740 "calculation_type": "SUM",
741 "persist": true,
742 "meter_id": "string",
743 "meter": {
744 "object_type": "string",
745 "id": "string",
746 "reference": "string",
747 "name": "string",
748 "description": "string",
749 "status": "DRAFT",
750 "meter_values": [
751 {
752 "id": "string",
753 "object": {
754 "object_type": "string",
755 "id": "string",
756 "reference": "string",
757 "name": "string",
758 "description": "string",
759 "status": "DRAFT",
760 "type": "NUMBER"
761 },
762 "required": true
763 }
764 ],
765 "meter_properties": [
766 {
767 "id": "string",
768 "object": {
769 "object_type": "string",
770 "id": "string",
771 "reference": "string",
772 "name": "string",
773 "description": "string",
774 "status": "DRAFT",
775 "type": "NUMBER",
776 "enum_values": [
777 "string"
778 ]
779 },
780 "required": true
781 }
782 ]
783 },
784 "meter_value_id": "string",
785 "meter_value": {
786 "object_type": "string",
787 "id": "string",
788 "reference": "string",
789 "name": "string",
790 "description": "string",
791 "status": "DRAFT",
792 "type": "NUMBER"
793 },
794 "meter_property_id": "string",
795 "meter_property": {
796 "object_type": "string",
797 "id": "string",
798 "reference": "string",
799 "name": "string",
800 "description": "string",
801 "status": "DRAFT",
802 "type": "NUMBER",
803 "enum_values": [
804 "string"
805 ]
806 }
807 },
808 "tiering_meter_value_calculation_id": "string",
809 "tiering_meter_value_calculation": {
810 "object_type": "string",
811 "id": "string",
812 "reference": "string",
813 "name": "string",
814 "description": "string",
815 "calculation_type": "SUM",
816 "persist": true,
817 "meter_id": "string",
818 "meter": {
819 "object_type": "string",
820 "id": "string",
821 "reference": "string",
822 "name": "string",
823 "description": "string",
824 "status": "DRAFT",
825 "meter_values": [
826 {
827 "id": "string",
828 "object": {
829 "object_type": "string",
830 "id": "string",
831 "reference": "string",
832 "name": "string",
833 "description": "string",
834 "status": "DRAFT",
835 "type": "NUMBER"
836 },
837 "required": true
838 }
839 ],
840 "meter_properties": [
841 {
842 "id": "string",
843 "object": {
844 "object_type": "string",
845 "id": "string",
846 "reference": "string",
847 "name": "string",
848 "description": "string",
849 "status": "DRAFT",
850 "type": "NUMBER",
851 "enum_values": [
852 "string"
853 ]
854 },
855 "required": true
856 }
857 ]
858 },
859 "meter_value_id": "string",
860 "meter_value": {
861 "object_type": "string",
862 "id": "string",
863 "reference": "string",
864 "name": "string",
865 "description": "string",
866 "status": "DRAFT",
867 "type": "NUMBER"
868 },
869 "meter_property_id": "string",
870 "meter_property": {
871 "object_type": "string",
872 "id": "string",
873 "reference": "string",
874 "name": "string",
875 "description": "string",
876 "status": "DRAFT",
877 "type": "NUMBER",
878 "enum_values": [
879 "string"
880 ]
881 }
882 },
883 "report_meter_value_calculation_ids": [
884 "string"
885 ],
886 "conditions": {
887 "name": "string",
888 "expression": {
889 "operator": "AND",
890 "operands": [
891 {
892 "meter_property": {
893 "id": "string",
894 "reference": "string",
895 "meter_property": {
896 "object_type": "string",
897 "id": "string",
898 "reference": "string",
899 "name": "string",
900 "description": "string",
901 "status": "DRAFT",
902 "type": "NUMBER",
903 "enum_values": [
904 "string"
905 ]
906 },
907 "value": "string",
908 "values": [
909 "string"
910 ],
911 "comparator": "EQUALS"
912 },
913 "expression": {}
914 }
915 ]
916 },
917 "meter_properties": [
918 {
919 "id": "string",
920 "reference": "string",
921 "meter_property": {
922 "object_type": "string",
923 "id": "string",
924 "reference": "string",
925 "name": "string",
926 "description": "string",
927 "status": "DRAFT",
928 "type": "NUMBER",
929 "enum_values": [
930 "string"
931 ]
932 },
933 "value": "string",
934 "values": [
935 "string"
936 ],
937 "comparator": "EQUALS"
938 }
939 ]
940 }
941 },
942 "credits": {
943 "credit_type_id": "string",
944 "credit_type": {
945 "object_type": "string",
946 "id": "string",
947 "reference": "string",
948 "status": "DRAFT",
949 "name": "string",
950 "description": "string",
951 "unit_name": {
952 "singular": "string",
953 "plural": "string"
954 },
955 "created_at": "string",
956 "updated_at": "string"
957 }
958 },
959 "meter_value_calculation": {
960 "object_type": "string",
961 "id": "string",
962 "reference": "string",
963 "name": "string",
964 "description": "string",
965 "calculation_type": "SUM",
966 "persist": true,
967 "meter_id": "string",
968 "meter": {
969 "object_type": "string",
970 "id": "string",
971 "reference": "string",
972 "name": "string",
973 "description": "string",
974 "status": "DRAFT",
975 "meter_values": [
976 {
977 "id": "string",
978 "object": {
979 "object_type": "string",
980 "id": "string",
981 "reference": "string",
982 "name": "string",
983 "description": "string",
984 "status": "DRAFT",
985 "type": "NUMBER"
986 },
987 "required": true
988 }
989 ],
990 "meter_properties": [
991 {
992 "id": "string",
993 "object": {
994 "object_type": "string",
995 "id": "string",
996 "reference": "string",
997 "name": "string",
998 "description": "string",
999 "status": "DRAFT",
1000 "type": "NUMBER",
1001 "enum_values": [
1002 "string"
1003 ]
1004 },
1005 "required": true
1006 }
1007 ]
1008 },
1009 "meter_value_id": "string",
1010 "meter_value": {
1011 "object_type": "string",
1012 "id": "string",
1013 "reference": "string",
1014 "name": "string",
1015 "description": "string",
1016 "status": "DRAFT",
1017 "type": "NUMBER"
1018 },
1019 "meter_property_id": "string",
1020 "meter_property": {
1021 "object_type": "string",
1022 "id": "string",
1023 "reference": "string",
1024 "name": "string",
1025 "description": "string",
1026 "status": "DRAFT",
1027 "type": "NUMBER",
1028 "enum_values": [
1029 "string"
1030 ]
1031 }
1032 },
1033 "tax_category": "STANDARD",
1034 "display_order": 1,
1035 "unit_name": {
1036 "singular": "string",
1037 "plural": "string"
1038 },
1039 "custom_fields": [
1040 {
1041 "id": "string",
1042 "reference": "string",
1043 "value": "string",
1044 "values": [
1045 "string"
1046 ],
1047 "integration_details": {
1048 "id": "string",
1049 "reference": "string",
1050 "payment_gateway_variant": "ADYEN",
1051 "adyen": {
1052 "recurring_detail_reference": "string"
1053 },
1054 "stripe": {
1055 "payment_method_id": "string"
1056 }
1057 }
1058 }
1059 ],
1060 "customer_id": "string",
1061 "meter_value_calculation_id": "string",
1062 "report_meter_value_calculation_ids": [
1063 "string"
1064 ]
1065 }
1066 ],
1067 "configs": [
1068 {
1069 "object_type": "string",
1070 "id": "string",
1071 "original_pricing_item_config_id": "string",
1072 "original_pricing_item_config": {},
1073 "details": {
1074 "billing_period": {
1075 "type": "DAY",
1076 "value": 1
1077 },
1078 "pricing_type": "FLAT",
1079 "pricing_period": {
1080 "type": "DAY",
1081 "value": 1
1082 },
1083 "bands": [
1084 {
1085 "amount": {
1086 "quantity": "string",
1087 "currency": "AED"
1088 },
1089 "percentage": "string",
1090 "credits": {
1091 "quantity": "string",
1092 "credit_type_id": "string"
1093 },
1094 "fixed_amount": {
1095 "quantity": "string",
1096 "currency": "AED"
1097 },
1098 "maximum_amount": {
1099 "quantity": "string",
1100 "currency": "AED"
1101 },
1102 "minimum_amount": {
1103 "quantity": "string",
1104 "currency": "AED"
1105 },
1106 "maximum_number": "string",
1107 "minimum_number": "string",
1108 "block_size": {
1109 "number": "string",
1110 "amount": {
1111 "quantity": "string",
1112 "currency": "AED"
1113 },
1114 "count": "string"
1115 },
1116 "tier_top_bound": {
1117 "number": "string",
1118 "amount": {
1119 "quantity": "string",
1120 "currency": "AED"
1121 },
1122 "count": "string"
1123 }
1124 }
1125 ]
1126 },
1127 "billing_period": {
1128 "type": "DAY",
1129 "value": 1
1130 },
1131 "pricing_period": {
1132 "type": "DAY",
1133 "value": 1
1134 },
1135 "default_included_volume": {
1136 "number": "string",
1137 "amount": {
1138 "quantity": "string",
1139 "currency": "AED"
1140 },
1141 "count": "string",
1142 "reset_type": "string"
1143 },
1144 "default_seats_value": {
1145 "number": "string",
1146 "amount": {
1147 "quantity": "string",
1148 "currency": "AED"
1149 },
1150 "count": "string"
1151 },
1152 "conditions": {
1153 "name": "string",
1154 "meter_properties": [
1155 {
1156 "id": "string",
1157 "reference": "string",
1158 "meter_property": {
1159 "object_type": "string",
1160 "id": "string",
1161 "reference": "string",
1162 "name": "string",
1163 "description": "string",
1164 "status": "DRAFT",
1165 "type": "NUMBER",
1166 "enum_values": [
1167 "string"
1168 ]
1169 },
1170 "value": "string",
1171 "values": [
1172 "string"
1173 ],
1174 "comparator": "EQUALS"
1175 }
1176 ],
1177 "configs": [
1178 {}
1179 ]
1180 },
1181 "order": 1,
1182 "billing_in_advance": true,
1183 "volume_group_reference": "string",
1184 "top_up": {
1185 "rollover": true
1186 },
1187 "split_pricing": {
1188 "meter_properties": [
1189 {
1190 "id": "string",
1191 "reference": "string",
1192 "value": "string",
1193 "meter_property": {
1194 "object_type": "string",
1195 "id": "string",
1196 "reference": "string",
1197 "name": "string",
1198 "description": "string",
1199 "status": "DRAFT",
1200 "type": "NUMBER",
1201 "enum_values": [
1202 "string"
1203 ]
1204 }
1205 }
1206 ]
1207 },
1208 "on_demand": true,
1209 "wallet_grants": [
1210 {
1211 "wallet_type_id": "string",
1212 "wallet_type": {
1213 "object_type": "string",
1214 "id": "string",
1215 "name": "string",
1216 "reference": "string",
1217 "status": "DRAFT",
1218 "type": "CREDIT",
1219 "credit": {
1220 "grant_type": "CREDITS",
1221 "amount_grant": {
1222 "default_currency": "AED",
1223 "tax_category": "STANDARD"
1224 },
1225 "credits_grant": {
1226 "credit_type_id": "string"
1227 }
1228 },
1229 "balance": {
1230 "default_currency": "string"
1231 },
1232 "created_at": "string",
1233 "updated_at": "string"
1234 },
1235 "amount_grant": {
1236 "amount": {
1237 "quantity": "string",
1238 "currency": "AED"
1239 },
1240 "percentage": "string"
1241 },
1242 "credits_grant": {
1243 "credits": {
1244 "quantity": "string",
1245 "credit_type_id": "string"
1246 },
1247 "conversion": "string"
1248 },
1249 "expiry_policy": {
1250 "expiry_period": {
1251 "type": "DAY",
1252 "value": 1
1253 }
1254 }
1255 }
1256 ],
1257 "type": "FLAT",
1258 "pricing_type": "FLAT",
1259 "bands": [
1260 {
1261 "amount": {
1262 "quantity": "string",
1263 "currency": "AED"
1264 },
1265 "percentage": "string",
1266 "credits": {
1267 "quantity": "string",
1268 "credit_type_id": "string"
1269 },
1270 "fixed_amount": {
1271 "quantity": "string",
1272 "currency": "AED"
1273 },
1274 "maximum_amount": {
1275 "quantity": "string",
1276 "currency": "AED"
1277 },
1278 "minimum_amount": {
1279 "quantity": "string",
1280 "currency": "AED"
1281 },
1282 "maximum_number": "string",
1283 "minimum_number": "string",
1284 "block_size": {
1285 "number": "string",
1286 "amount": {
1287 "quantity": "string",
1288 "currency": "AED"
1289 },
1290 "count": "string"
1291 },
1292 "tier_top_bound": {
1293 "number": "string",
1294 "amount": {
1295 "quantity": "string",
1296 "currency": "AED"
1297 },
1298 "count": "string"
1299 }
1300 }
1301 ]
1302 }
1303 ],
1304 "pricing_currency_configs": [
1305 {
1306 "currency": "AED",
1307 "configs": [
1308 {
1309 "object_type": "string",
1310 "id": "string",
1311 "original_pricing_item_config_id": "string",
1312 "original_pricing_item_config": {},
1313 "details": {
1314 "billing_period": {
1315 "type": "DAY",
1316 "value": 1
1317 },
1318 "pricing_type": "FLAT",
1319 "pricing_period": {
1320 "type": "DAY",
1321 "value": 1
1322 },
1323 "bands": [
1324 {
1325 "amount": {
1326 "quantity": "string",
1327 "currency": "AED"
1328 },
1329 "percentage": "string",
1330 "credits": {
1331 "quantity": "string",
1332 "credit_type_id": "string"
1333 },
1334 "fixed_amount": {
1335 "quantity": "string",
1336 "currency": "AED"
1337 },
1338 "maximum_amount": {
1339 "quantity": "string",
1340 "currency": "AED"
1341 },
1342 "minimum_amount": {
1343 "quantity": "string",
1344 "currency": "AED"
1345 },
1346 "maximum_number": "string",
1347 "minimum_number": "string",
1348 "block_size": {
1349 "number": "string",
1350 "amount": {
1351 "quantity": "string",
1352 "currency": "AED"
1353 },
1354 "count": "string"
1355 },
1356 "tier_top_bound": {
1357 "number": "string",
1358 "amount": {
1359 "quantity": "string",
1360 "currency": "AED"
1361 },
1362 "count": "string"
1363 }
1364 }
1365 ]
1366 },
1367 "billing_period": {
1368 "type": "DAY",
1369 "value": 1
1370 },
1371 "pricing_period": {
1372 "type": "DAY",
1373 "value": 1
1374 },
1375 "default_included_volume": {
1376 "number": "string",
1377 "amount": {
1378 "quantity": "string",
1379 "currency": "AED"
1380 },
1381 "count": "string",
1382 "reset_type": "string"
1383 },
1384 "default_seats_value": {
1385 "number": "string",
1386 "amount": {
1387 "quantity": "string",
1388 "currency": "AED"
1389 },
1390 "count": "string"
1391 },
1392 "conditions": {
1393 "name": "string",
1394 "meter_properties": [
1395 {
1396 "id": "string",
1397 "reference": "string",
1398 "meter_property": {
1399 "object_type": "string",
1400 "id": "string",
1401 "reference": "string",
1402 "name": "string",
1403 "description": "string",
1404 "status": "DRAFT",
1405 "type": "NUMBER",
1406 "enum_values": [
1407 "string"
1408 ]
1409 },
1410 "value": "string",
1411 "values": [
1412 "string"
1413 ],
1414 "comparator": "EQUALS"
1415 }
1416 ],
1417 "configs": [
1418 {}
1419 ]
1420 },
1421 "order": 1,
1422 "billing_in_advance": true,
1423 "volume_group_reference": "string",
1424 "top_up": {
1425 "rollover": true
1426 },
1427 "split_pricing": {
1428 "meter_properties": [
1429 {
1430 "id": "string",
1431 "reference": "string",
1432 "value": "string",
1433 "meter_property": {
1434 "object_type": "string",
1435 "id": "string",
1436 "reference": "string",
1437 "name": "string",
1438 "description": "string",
1439 "status": "DRAFT",
1440 "type": "NUMBER",
1441 "enum_values": [
1442 "string"
1443 ]
1444 }
1445 }
1446 ]
1447 },
1448 "on_demand": true,
1449 "wallet_grants": [
1450 {
1451 "wallet_type_id": "string",
1452 "wallet_type": {
1453 "object_type": "string",
1454 "id": "string",
1455 "name": "string",
1456 "reference": "string",
1457 "status": "DRAFT",
1458 "type": "CREDIT",
1459 "credit": {
1460 "grant_type": "CREDITS",
1461 "amount_grant": {
1462 "default_currency": "AED",
1463 "tax_category": "STANDARD"
1464 },
1465 "credits_grant": {
1466 "credit_type_id": "string"
1467 }
1468 },
1469 "balance": {
1470 "default_currency": "string"
1471 },
1472 "created_at": "string",
1473 "updated_at": "string"
1474 },
1475 "amount_grant": {
1476 "amount": {
1477 "quantity": "string",
1478 "currency": "AED"
1479 },
1480 "percentage": "string"
1481 },
1482 "credits_grant": {
1483 "credits": {
1484 "quantity": "string",
1485 "credit_type_id": "string"
1486 },
1487 "conversion": "string"
1488 },
1489 "expiry_policy": {
1490 "expiry_period": {
1491 "type": "DAY",
1492 "value": 1
1493 }
1494 }
1495 }
1496 ],
1497 "type": "FLAT",
1498 "pricing_type": "FLAT",
1499 "bands": [
1500 {
1501 "amount": {
1502 "quantity": "string",
1503 "currency": "AED"
1504 },
1505 "percentage": "string",
1506 "credits": {
1507 "quantity": "string",
1508 "credit_type_id": "string"
1509 },
1510 "fixed_amount": {
1511 "quantity": "string",
1512 "currency": "AED"
1513 },
1514 "maximum_amount": {
1515 "quantity": "string",
1516 "currency": "AED"
1517 },
1518 "minimum_amount": {
1519 "quantity": "string",
1520 "currency": "AED"
1521 },
1522 "maximum_number": "string",
1523 "minimum_number": "string",
1524 "block_size": {
1525 "number": "string",
1526 "amount": {
1527 "quantity": "string",
1528 "currency": "AED"
1529 },
1530 "count": "string"
1531 },
1532 "tier_top_bound": {
1533 "number": "string",
1534 "amount": {
1535 "quantity": "string",
1536 "currency": "AED"
1537 },
1538 "count": "string"
1539 }
1540 }
1541 ]
1542 }
1543 ],
1544 "billing_period_configs": [
1545 {
1546 "billing_period": {
1547 "type": "DAY",
1548 "value": 1
1549 },
1550 "configs": [
1551 {
1552 "object_type": "string",
1553 "id": "string",
1554 "original_pricing_item_config_id": "string",
1555 "original_pricing_item_config": {},
1556 "details": {
1557 "billing_period": {
1558 "type": "DAY",
1559 "value": 1
1560 },
1561 "pricing_type": "FLAT",
1562 "pricing_period": {
1563 "type": "DAY",
1564 "value": 1
1565 },
1566 "bands": [
1567 {
1568 "amount": {
1569 "quantity": "string",
1570 "currency": "AED"
1571 },
1572 "percentage": "string",
1573 "credits": {
1574 "quantity": "string",
1575 "credit_type_id": "string"
1576 },
1577 "fixed_amount": {
1578 "quantity": "string",
1579 "currency": "AED"
1580 },
1581 "maximum_amount": {
1582 "quantity": "string",
1583 "currency": "AED"
1584 },
1585 "minimum_amount": {
1586 "quantity": "string",
1587 "currency": "AED"
1588 },
1589 "maximum_number": "string",
1590 "minimum_number": "string",
1591 "block_size": {
1592 "number": "string",
1593 "amount": {
1594 "quantity": "string",
1595 "currency": "AED"
1596 },
1597 "count": "string"
1598 },
1599 "tier_top_bound": {
1600 "number": "string",
1601 "amount": {
1602 "quantity": "string",
1603 "currency": "AED"
1604 },
1605 "count": "string"
1606 }
1607 }
1608 ]
1609 },
1610 "billing_period": {
1611 "type": "DAY",
1612 "value": 1
1613 },
1614 "pricing_period": {
1615 "type": "DAY",
1616 "value": 1
1617 },
1618 "default_included_volume": {
1619 "number": "string",
1620 "amount": {
1621 "quantity": "string",
1622 "currency": "AED"
1623 },
1624 "count": "string",
1625 "reset_type": "string"
1626 },
1627 "default_seats_value": {
1628 "number": "string",
1629 "amount": {
1630 "quantity": "string",
1631 "currency": "AED"
1632 },
1633 "count": "string"
1634 },
1635 "conditions": {
1636 "name": "string",
1637 "meter_properties": [
1638 {
1639 "id": "string",
1640 "reference": "string",
1641 "meter_property": {
1642 "object_type": "string",
1643 "id": "string",
1644 "reference": "string",
1645 "name": "string",
1646 "description": "string",
1647 "status": "DRAFT",
1648 "type": "NUMBER",
1649 "enum_values": [
1650 "string"
1651 ]
1652 },
1653 "value": "string",
1654 "values": [
1655 "string"
1656 ],
1657 "comparator": "EQUALS"
1658 }
1659 ],
1660 "configs": [
1661 {}
1662 ]
1663 },
1664 "order": 1,
1665 "billing_in_advance": true,
1666 "volume_group_reference": "string",
1667 "top_up": {
1668 "rollover": true
1669 },
1670 "split_pricing": {
1671 "meter_properties": [
1672 {
1673 "id": "string",
1674 "reference": "string",
1675 "value": "string",
1676 "meter_property": {
1677 "object_type": "string",
1678 "id": "string",
1679 "reference": "string",
1680 "name": "string",
1681 "description": "string",
1682 "status": "DRAFT",
1683 "type": "NUMBER",
1684 "enum_values": [
1685 "string"
1686 ]
1687 }
1688 }
1689 ]
1690 },
1691 "on_demand": true,
1692 "wallet_grants": [
1693 {
1694 "wallet_type_id": "string",
1695 "wallet_type": {
1696 "object_type": "string",
1697 "id": "string",
1698 "name": "string",
1699 "reference": "string",
1700 "status": "DRAFT",
1701 "type": "CREDIT",
1702 "credit": {
1703 "grant_type": "CREDITS",
1704 "amount_grant": {
1705 "default_currency": "AED",
1706 "tax_category": "STANDARD"
1707 },
1708 "credits_grant": {
1709 "credit_type_id": "string"
1710 }
1711 },
1712 "balance": {
1713 "default_currency": "string"
1714 },
1715 "created_at": "string",
1716 "updated_at": "string"
1717 },
1718 "amount_grant": {
1719 "amount": {
1720 "quantity": "string",
1721 "currency": "AED"
1722 },
1723 "percentage": "string"
1724 },
1725 "credits_grant": {
1726 "credits": {
1727 "quantity": "string",
1728 "credit_type_id": "string"
1729 },
1730 "conversion": "string"
1731 },
1732 "expiry_policy": {
1733 "expiry_period": {
1734 "type": "DAY",
1735 "value": 1
1736 }
1737 }
1738 }
1739 ],
1740 "type": "FLAT",
1741 "pricing_type": "FLAT",
1742 "bands": [
1743 {
1744 "amount": {
1745 "quantity": "string",
1746 "currency": "AED"
1747 },
1748 "percentage": "string",
1749 "credits": {
1750 "quantity": "string",
1751 "credit_type_id": "string"
1752 },
1753 "fixed_amount": {
1754 "quantity": "string",
1755 "currency": "AED"
1756 },
1757 "maximum_amount": {
1758 "quantity": "string",
1759 "currency": "AED"
1760 },
1761 "minimum_amount": {
1762 "quantity": "string",
1763 "currency": "AED"
1764 },
1765 "maximum_number": "string",
1766 "minimum_number": "string",
1767 "block_size": {
1768 "number": "string",
1769 "amount": {
1770 "quantity": "string",
1771 "currency": "AED"
1772 },
1773 "count": "string"
1774 },
1775 "tier_top_bound": {
1776 "number": "string",
1777 "amount": {
1778 "quantity": "string",
1779 "currency": "AED"
1780 },
1781 "count": "string"
1782 }
1783 }
1784 ]
1785 }
1786 ]
1787 }
1788 ],
1789 "fallback_currency": "AED"
1790 }
1791 ],
1792 "billing_period_configs": [
1793 {
1794 "billing_period": {
1795 "type": "DAY",
1796 "value": 1
1797 },
1798 "configs": [
1799 {
1800 "object_type": "string",
1801 "id": "string",
1802 "original_pricing_item_config_id": "string",
1803 "original_pricing_item_config": {},
1804 "details": {
1805 "billing_period": {
1806 "type": "DAY",
1807 "value": 1
1808 },
1809 "pricing_type": "FLAT",
1810 "pricing_period": {
1811 "type": "DAY",
1812 "value": 1
1813 },
1814 "bands": [
1815 {
1816 "amount": {
1817 "quantity": "string",
1818 "currency": "AED"
1819 },
1820 "percentage": "string",
1821 "credits": {
1822 "quantity": "string",
1823 "credit_type_id": "string"
1824 },
1825 "fixed_amount": {
1826 "quantity": "string",
1827 "currency": "AED"
1828 },
1829 "maximum_amount": {
1830 "quantity": "string",
1831 "currency": "AED"
1832 },
1833 "minimum_amount": {
1834 "quantity": "string",
1835 "currency": "AED"
1836 },
1837 "maximum_number": "string",
1838 "minimum_number": "string",
1839 "block_size": {
1840 "number": "string",
1841 "amount": {
1842 "quantity": "string",
1843 "currency": "AED"
1844 },
1845 "count": "string"
1846 },
1847 "tier_top_bound": {
1848 "number": "string",
1849 "amount": {
1850 "quantity": "string",
1851 "currency": "AED"
1852 },
1853 "count": "string"
1854 }
1855 }
1856 ]
1857 },
1858 "billing_period": {
1859 "type": "DAY",
1860 "value": 1
1861 },
1862 "pricing_period": {
1863 "type": "DAY",
1864 "value": 1
1865 },
1866 "default_included_volume": {
1867 "number": "string",
1868 "amount": {
1869 "quantity": "string",
1870 "currency": "AED"
1871 },
1872 "count": "string",
1873 "reset_type": "string"
1874 },
1875 "default_seats_value": {
1876 "number": "string",
1877 "amount": {
1878 "quantity": "string",
1879 "currency": "AED"
1880 },
1881 "count": "string"
1882 },
1883 "conditions": {
1884 "name": "string",
1885 "meter_properties": [
1886 {
1887 "id": "string",
1888 "reference": "string",
1889 "meter_property": {
1890 "object_type": "string",
1891 "id": "string",
1892 "reference": "string",
1893 "name": "string",
1894 "description": "string",
1895 "status": "DRAFT",
1896 "type": "NUMBER",
1897 "enum_values": [
1898 "string"
1899 ]
1900 },
1901 "value": "string",
1902 "values": [
1903 "string"
1904 ],
1905 "comparator": "EQUALS"
1906 }
1907 ],
1908 "configs": [
1909 {}
1910 ]
1911 },
1912 "order": 1,
1913 "billing_in_advance": true,
1914 "volume_group_reference": "string",
1915 "top_up": {
1916 "rollover": true
1917 },
1918 "split_pricing": {
1919 "meter_properties": [
1920 {
1921 "id": "string",
1922 "reference": "string",
1923 "value": "string",
1924 "meter_property": {
1925 "object_type": "string",
1926 "id": "string",
1927 "reference": "string",
1928 "name": "string",
1929 "description": "string",
1930 "status": "DRAFT",
1931 "type": "NUMBER",
1932 "enum_values": [
1933 "string"
1934 ]
1935 }
1936 }
1937 ]
1938 },
1939 "on_demand": true,
1940 "wallet_grants": [
1941 {
1942 "wallet_type_id": "string",
1943 "wallet_type": {
1944 "object_type": "string",
1945 "id": "string",
1946 "name": "string",
1947 "reference": "string",
1948 "status": "DRAFT",
1949 "type": "CREDIT",
1950 "credit": {
1951 "grant_type": "CREDITS",
1952 "amount_grant": {
1953 "default_currency": "AED",
1954 "tax_category": "STANDARD"
1955 },
1956 "credits_grant": {
1957 "credit_type_id": "string"
1958 }
1959 },
1960 "balance": {
1961 "default_currency": "string"
1962 },
1963 "created_at": "string",
1964 "updated_at": "string"
1965 },
1966 "amount_grant": {
1967 "amount": {
1968 "quantity": "string",
1969 "currency": "AED"
1970 },
1971 "percentage": "string"
1972 },
1973 "credits_grant": {
1974 "credits": {
1975 "quantity": "string",
1976 "credit_type_id": "string"
1977 },
1978 "conversion": "string"
1979 },
1980 "expiry_policy": {
1981 "expiry_period": {
1982 "type": "DAY",
1983 "value": 1
1984 }
1985 }
1986 }
1987 ],
1988 "type": "FLAT",
1989 "pricing_type": "FLAT",
1990 "bands": [
1991 {
1992 "amount": {
1993 "quantity": "string",
1994 "currency": "AED"
1995 },
1996 "percentage": "string",
1997 "credits": {
1998 "quantity": "string",
1999 "credit_type_id": "string"
2000 },
2001 "fixed_amount": {
2002 "quantity": "string",
2003 "currency": "AED"
2004 },
2005 "maximum_amount": {
2006 "quantity": "string",
2007 "currency": "AED"
2008 },
2009 "minimum_amount": {
2010 "quantity": "string",
2011 "currency": "AED"
2012 },
2013 "maximum_number": "string",
2014 "minimum_number": "string",
2015 "block_size": {
2016 "number": "string",
2017 "amount": {
2018 "quantity": "string",
2019 "currency": "AED"
2020 },
2021 "count": "string"
2022 },
2023 "tier_top_bound": {
2024 "number": "string",
2025 "amount": {
2026 "quantity": "string",
2027 "currency": "AED"
2028 },
2029 "count": "string"
2030 }
2031 }
2032 ]
2033 }
2034 ]
2035 }
2036 ],
2037 "display_order": 1
2038 }
2039 ]
2040 }
2041 ],
2042 "combined_pricing_plan_version": {
2043 "object_type": "string",
2044 "id": "string",
2045 "pricing_plan_id": "string",
2046 "pricing_plan": {
2047 "object_type": "string",
2048 "id": "string",
2049 "reference": "string",
2050 "name": "string",
2051 "description": "string",
2052 "customer_id": "string",
2053 "type": "STANDARD",
2054 "amount_type": "EXCLUDING_TAX",
2055 "pricing_plan_version_infos": [
2056 {
2057 "version": 1,
2058 "id": "string",
2059 "status": "string",
2060 "rate_card": {
2061 "start_at": "2024-01-15T09:30:00Z"
2062 }
2063 }
2064 ],
2065 "pricing_plan_selection_rules": [
2066 {
2067 "type": "RESOURCE",
2068 "resource": {
2069 "type": "PLATFORM",
2070 "field": "COUNTRY",
2071 "value": "string",
2072 "values": [
2073 "string"
2074 ],
2075 "comparator": "EQUALS"
2076 }
2077 }
2078 ],
2079 "pricing_currencies": [
2080 "AED"
2081 ],
2082 "variant": "DEFAULT"
2083 },
2084 "version": 1,
2085 "status": "DRAFT",
2086 "pricing_currency_settings": {
2087 "default_pricing_currency": "string",
2088 "pricing_currencies": [
2089 "string"
2090 ]
2091 },
2092 "billing_period_settings": {
2093 "billing_periods": [
2094 {
2095 "period": {
2096 "type": "DAY",
2097 "value": 1
2098 },
2099 "description": "string"
2100 }
2101 ]
2102 },
2103 "copied_from_pricing_plan_version_id": "string",
2104 "pricing_categories": [
2105 {
2106 "object_type": "string",
2107 "id": "string",
2108 "product_category_id": "string",
2109 "product_category": {
2110 "object_type": "string",
2111 "id": "string",
2112 "name": "string",
2113 "reference": "string",
2114 "description": "string",
2115 "tax_category": "STANDARD",
2116 "display_order": 1,
2117 "customer_id": "string"
2118 },
2119 "pricings": [
2120 {
2121 "object_type": "string",
2122 "id": "string",
2123 "pricing_plan_version_id": "string",
2124 "pricing_plan_schedule_id": "string",
2125 "pricing_group_id": "string",
2126 "original_pricing_id": "string",
2127 "original_pricing": {},
2128 "override": "ALL",
2129 "name": "string",
2130 "product_type": "DEFAULT",
2131 "product_ids": [
2132 "string"
2133 ],
2134 "display_order": 1,
2135 "products": [
2136 {
2137 "object_type": "string",
2138 "id": "string",
2139 "category_id": "string",
2140 "category": {
2141 "object_type": "string",
2142 "id": "string",
2143 "name": "string",
2144 "reference": "string",
2145 "description": "string",
2146 "tax_category": "STANDARD",
2147 "display_order": 1,
2148 "customer_id": "string"
2149 },
2150 "parent_product_id": "string",
2151 "name": "string",
2152 "reference": "string",
2153 "description": "string",
2154 "status": "DRAFT",
2155 "product_type": "DEFAULT",
2156 "tax_category": "STANDARD",
2157 "features": [
2158 {
2159 "id": "string",
2160 "reference": "string"
2161 }
2162 ],
2163 "custom_fields": [
2164 {
2165 "id": "string",
2166 "reference": "string",
2167 "value": "string",
2168 "values": [
2169 "string"
2170 ],
2171 "integration_details": {
2172 "id": "string",
2173 "reference": "string",
2174 "payment_gateway_variant": "ADYEN",
2175 "adyen": {
2176 "recurring_detail_reference": "string"
2177 },
2178 "stripe": {
2179 "payment_method_id": "string"
2180 }
2181 }
2182 }
2183 ],
2184 "display_order": 1,
2185 "linked_integrations": [
2186 {
2187 "id": "string",
2188 "link_details": [
2189 {
2190 "url": "string",
2191 "custom_field_name": "string"
2192 }
2193 ]
2194 }
2195 ],
2196 "billing_entity_id": "string",
2197 "customer_id": "string"
2198 }
2199 ],
2200 "entitlements": [
2201 {
2202 "feature_id": "string",
2203 "feature": {
2204 "object_type": "string",
2205 "id": "string",
2206 "reference": "string",
2207 "name": "string",
2208 "description": "string",
2209 "type": "SWITCH",
2210 "enum_values": [
2211 "string"
2212 ],
2213 "meter_value_calculation_id": "string",
2214 "meter_value_calculation": {
2215 "object_type": "string",
2216 "id": "string",
2217 "reference": "string",
2218 "name": "string",
2219 "description": "string",
2220 "calculation_type": "SUM",
2221 "persist": true,
2222 "meter_id": "string",
2223 "meter": {
2224 "object_type": "string",
2225 "id": "string",
2226 "reference": "string",
2227 "name": "string",
2228 "description": "string",
2229 "status": "DRAFT",
2230 "meter_values": [
2231 {
2232 "id": "string",
2233 "object": {
2234 "object_type": "string",
2235 "id": "string",
2236 "reference": "string",
2237 "name": "string",
2238 "description": "string",
2239 "status": "DRAFT",
2240 "type": "NUMBER"
2241 },
2242 "required": true
2243 }
2244 ],
2245 "meter_properties": [
2246 {
2247 "id": "string",
2248 "object": {
2249 "object_type": "string",
2250 "id": "string",
2251 "reference": "string",
2252 "name": "string",
2253 "description": "string",
2254 "status": "DRAFT",
2255 "type": "NUMBER",
2256 "enum_values": [
2257 "string"
2258 ]
2259 },
2260 "required": true
2261 }
2262 ]
2263 },
2264 "meter_value_id": "string",
2265 "meter_value": {
2266 "object_type": "string",
2267 "id": "string",
2268 "reference": "string",
2269 "name": "string",
2270 "description": "string",
2271 "status": "DRAFT",
2272 "type": "NUMBER"
2273 },
2274 "meter_property_id": "string",
2275 "meter_property": {
2276 "object_type": "string",
2277 "id": "string",
2278 "reference": "string",
2279 "name": "string",
2280 "description": "string",
2281 "status": "DRAFT",
2282 "type": "NUMBER",
2283 "enum_values": [
2284 "string"
2285 ]
2286 }
2287 }
2288 },
2289 "feature_reference": "string",
2290 "override": true,
2291 "number": "string",
2292 "switch": true,
2293 "amount": {
2294 "quantity": "string",
2295 "currency": "AED"
2296 },
2297 "enum": "string",
2298 "string": "string",
2299 "overwrite": true
2300 }
2301 ],
2302 "items": [
2303 {
2304 "object_type": "string",
2305 "id": "string",
2306 "original_pricing_item_id": "string",
2307 "original_pricing_item": {},
2308 "override": "ALL",
2309 "product_item_ids": [
2310 "string"
2311 ],
2312 "product_items": [
2313 {
2314 "object_type": "string",
2315 "id": "string",
2316 "product_id": "string",
2317 "product": {
2318 "object_type": "string",
2319 "id": "string",
2320 "category_id": "string",
2321 "category": {
2322 "object_type": "string",
2323 "id": "string",
2324 "name": "string",
2325 "reference": "string",
2326 "description": "string",
2327 "tax_category": "STANDARD",
2328 "display_order": 1,
2329 "customer_id": "string"
2330 },
2331 "parent_product_id": "string",
2332 "name": "string",
2333 "reference": "string",
2334 "description": "string",
2335 "status": "DRAFT",
2336 "product_type": "DEFAULT",
2337 "tax_category": "STANDARD",
2338 "features": [
2339 {
2340 "id": "string",
2341 "reference": "string"
2342 }
2343 ],
2344 "custom_fields": [
2345 {
2346 "id": "string",
2347 "reference": "string",
2348 "value": "string",
2349 "values": [
2350 "string"
2351 ],
2352 "integration_details": {
2353 "id": "string",
2354 "reference": "string",
2355 "payment_gateway_variant": "ADYEN",
2356 "adyen": {
2357 "recurring_detail_reference": "string"
2358 },
2359 "stripe": {
2360 "payment_method_id": "string"
2361 }
2362 }
2363 }
2364 ],
2365 "display_order": 1,
2366 "linked_integrations": [
2367 {
2368 "id": "string",
2369 "link_details": [
2370 {
2371 "url": "string",
2372 "custom_field_name": "string"
2373 }
2374 ]
2375 }
2376 ],
2377 "billing_entity_id": "string",
2378 "customer_id": "string"
2379 },
2380 "name": "string",
2381 "status": "DRAFT",
2382 "reference": "string",
2383 "description": "string",
2384 "type": "REVENUE",
2385 "model_type": "USAGE_BASED",
2386 "usage_based": {
2387 "meter_value_calculation_id": "string",
2388 "meter_value_calculation": {
2389 "object_type": "string",
2390 "id": "string",
2391 "reference": "string",
2392 "name": "string",
2393 "description": "string",
2394 "calculation_type": "SUM",
2395 "persist": true,
2396 "meter_id": "string",
2397 "meter": {
2398 "object_type": "string",
2399 "id": "string",
2400 "reference": "string",
2401 "name": "string",
2402 "description": "string",
2403 "status": "DRAFT",
2404 "meter_values": [
2405 {
2406 "id": "string",
2407 "object": {
2408 "object_type": "string",
2409 "id": "string",
2410 "reference": "string",
2411 "name": "string",
2412 "description": "string",
2413 "status": "DRAFT",
2414 "type": "NUMBER"
2415 },
2416 "required": true
2417 }
2418 ],
2419 "meter_properties": [
2420 {
2421 "id": "string",
2422 "object": {
2423 "object_type": "string",
2424 "id": "string",
2425 "reference": "string",
2426 "name": "string",
2427 "description": "string",
2428 "status": "DRAFT",
2429 "type": "NUMBER",
2430 "enum_values": [
2431 "string"
2432 ]
2433 },
2434 "required": true
2435 }
2436 ]
2437 },
2438 "meter_value_id": "string",
2439 "meter_value": {
2440 "object_type": "string",
2441 "id": "string",
2442 "reference": "string",
2443 "name": "string",
2444 "description": "string",
2445 "status": "DRAFT",
2446 "type": "NUMBER"
2447 },
2448 "meter_property_id": "string",
2449 "meter_property": {
2450 "object_type": "string",
2451 "id": "string",
2452 "reference": "string",
2453 "name": "string",
2454 "description": "string",
2455 "status": "DRAFT",
2456 "type": "NUMBER",
2457 "enum_values": [
2458 "string"
2459 ]
2460 }
2461 },
2462 "tiering_meter_value_calculation_id": "string",
2463 "tiering_meter_value_calculation": {
2464 "object_type": "string",
2465 "id": "string",
2466 "reference": "string",
2467 "name": "string",
2468 "description": "string",
2469 "calculation_type": "SUM",
2470 "persist": true,
2471 "meter_id": "string",
2472 "meter": {
2473 "object_type": "string",
2474 "id": "string",
2475 "reference": "string",
2476 "name": "string",
2477 "description": "string",
2478 "status": "DRAFT",
2479 "meter_values": [
2480 {
2481 "id": "string",
2482 "object": {
2483 "object_type": "string",
2484 "id": "string",
2485 "reference": "string",
2486 "name": "string",
2487 "description": "string",
2488 "status": "DRAFT",
2489 "type": "NUMBER"
2490 },
2491 "required": true
2492 }
2493 ],
2494 "meter_properties": [
2495 {
2496 "id": "string",
2497 "object": {
2498 "object_type": "string",
2499 "id": "string",
2500 "reference": "string",
2501 "name": "string",
2502 "description": "string",
2503 "status": "DRAFT",
2504 "type": "NUMBER",
2505 "enum_values": [
2506 "string"
2507 ]
2508 },
2509 "required": true
2510 }
2511 ]
2512 },
2513 "meter_value_id": "string",
2514 "meter_value": {
2515 "object_type": "string",
2516 "id": "string",
2517 "reference": "string",
2518 "name": "string",
2519 "description": "string",
2520 "status": "DRAFT",
2521 "type": "NUMBER"
2522 },
2523 "meter_property_id": "string",
2524 "meter_property": {
2525 "object_type": "string",
2526 "id": "string",
2527 "reference": "string",
2528 "name": "string",
2529 "description": "string",
2530 "status": "DRAFT",
2531 "type": "NUMBER",
2532 "enum_values": [
2533 "string"
2534 ]
2535 }
2536 },
2537 "report_meter_value_calculation_ids": [
2538 "string"
2539 ],
2540 "conditions": {
2541 "name": "string",
2542 "expression": {
2543 "operator": "AND",
2544 "operands": [
2545 {
2546 "meter_property": {
2547 "id": "string",
2548 "reference": "string",
2549 "meter_property": {
2550 "object_type": {},
2551 "id": {},
2552 "reference": {},
2553 "name": {},
2554 "description": {},
2555 "status": {},
2556 "type": {},
2557 "enum_values": {}
2558 },
2559 "value": "string",
2560 "values": [
2561 "string"
2562 ],
2563 "comparator": "EQUALS"
2564 },
2565 "expression": {}
2566 }
2567 ]
2568 },
2569 "meter_properties": [
2570 {
2571 "id": "string",
2572 "reference": "string",
2573 "meter_property": {
2574 "object_type": "string",
2575 "id": "string",
2576 "reference": "string",
2577 "name": "string",
2578 "description": "string",
2579 "status": "DRAFT",
2580 "type": "NUMBER",
2581 "enum_values": [
2582 "string"
2583 ]
2584 },
2585 "value": "string",
2586 "values": [
2587 "string"
2588 ],
2589 "comparator": "EQUALS"
2590 }
2591 ]
2592 }
2593 },
2594 "credits": {
2595 "credit_type_id": "string",
2596 "credit_type": {
2597 "object_type": "string",
2598 "id": "string",
2599 "reference": "string",
2600 "status": "DRAFT",
2601 "name": "string",
2602 "description": "string",
2603 "unit_name": {
2604 "singular": "string",
2605 "plural": "string"
2606 },
2607 "created_at": "string",
2608 "updated_at": "string"
2609 }
2610 },
2611 "meter_value_calculation": {
2612 "object_type": "string",
2613 "id": "string",
2614 "reference": "string",
2615 "name": "string",
2616 "description": "string",
2617 "calculation_type": "SUM",
2618 "persist": true,
2619 "meter_id": "string",
2620 "meter": {
2621 "object_type": "string",
2622 "id": "string",
2623 "reference": "string",
2624 "name": "string",
2625 "description": "string",
2626 "status": "DRAFT",
2627 "meter_values": [
2628 {
2629 "id": "string",
2630 "object": {
2631 "object_type": "string",
2632 "id": "string",
2633 "reference": "string",
2634 "name": "string",
2635 "description": "string",
2636 "status": "DRAFT",
2637 "type": "NUMBER"
2638 },
2639 "required": true
2640 }
2641 ],
2642 "meter_properties": [
2643 {
2644 "id": "string",
2645 "object": {
2646 "object_type": "string",
2647 "id": "string",
2648 "reference": "string",
2649 "name": "string",
2650 "description": "string",
2651 "status": "DRAFT",
2652 "type": "NUMBER",
2653 "enum_values": [
2654 "string"
2655 ]
2656 },
2657 "required": true
2658 }
2659 ]
2660 },
2661 "meter_value_id": "string",
2662 "meter_value": {
2663 "object_type": "string",
2664 "id": "string",
2665 "reference": "string",
2666 "name": "string",
2667 "description": "string",
2668 "status": "DRAFT",
2669 "type": "NUMBER"
2670 },
2671 "meter_property_id": "string",
2672 "meter_property": {
2673 "object_type": "string",
2674 "id": "string",
2675 "reference": "string",
2676 "name": "string",
2677 "description": "string",
2678 "status": "DRAFT",
2679 "type": "NUMBER",
2680 "enum_values": [
2681 "string"
2682 ]
2683 }
2684 },
2685 "tax_category": "STANDARD",
2686 "display_order": 1,
2687 "unit_name": {
2688 "singular": "string",
2689 "plural": "string"
2690 },
2691 "custom_fields": [
2692 {
2693 "id": "string",
2694 "reference": "string",
2695 "value": "string",
2696 "values": [
2697 "string"
2698 ],
2699 "integration_details": {
2700 "id": "string",
2701 "reference": "string",
2702 "payment_gateway_variant": "ADYEN",
2703 "adyen": {
2704 "recurring_detail_reference": "string"
2705 },
2706 "stripe": {
2707 "payment_method_id": "string"
2708 }
2709 }
2710 }
2711 ],
2712 "customer_id": "string",
2713 "meter_value_calculation_id": "string",
2714 "report_meter_value_calculation_ids": [
2715 "string"
2716 ]
2717 }
2718 ],
2719 "configs": [
2720 {
2721 "object_type": "string",
2722 "id": "string",
2723 "original_pricing_item_config_id": "string",
2724 "original_pricing_item_config": {},
2725 "details": {
2726 "billing_period": {
2727 "type": "DAY",
2728 "value": 1
2729 },
2730 "pricing_type": "FLAT",
2731 "pricing_period": {
2732 "type": "DAY",
2733 "value": 1
2734 },
2735 "bands": [
2736 {
2737 "amount": {
2738 "quantity": "string",
2739 "currency": "AED"
2740 },
2741 "percentage": "string",
2742 "credits": {
2743 "quantity": "string",
2744 "credit_type_id": "string"
2745 },
2746 "fixed_amount": {
2747 "quantity": "string",
2748 "currency": "AED"
2749 },
2750 "maximum_amount": {
2751 "quantity": "string",
2752 "currency": "AED"
2753 },
2754 "minimum_amount": {
2755 "quantity": "string",
2756 "currency": "AED"
2757 },
2758 "maximum_number": "string",
2759 "minimum_number": "string",
2760 "block_size": {
2761 "number": "string",
2762 "amount": {
2763 "quantity": "string",
2764 "currency": "AED"
2765 },
2766 "count": "string"
2767 },
2768 "tier_top_bound": {
2769 "number": "string",
2770 "amount": {
2771 "quantity": "string",
2772 "currency": "AED"
2773 },
2774 "count": "string"
2775 }
2776 }
2777 ]
2778 },
2779 "billing_period": {
2780 "type": "DAY",
2781 "value": 1
2782 },
2783 "pricing_period": {
2784 "type": "DAY",
2785 "value": 1
2786 },
2787 "default_included_volume": {
2788 "number": "string",
2789 "amount": {
2790 "quantity": "string",
2791 "currency": "AED"
2792 },
2793 "count": "string",
2794 "reset_type": "string"
2795 },
2796 "default_seats_value": {
2797 "number": "string",
2798 "amount": {
2799 "quantity": "string",
2800 "currency": "AED"
2801 },
2802 "count": "string"
2803 },
2804 "conditions": {
2805 "name": "string",
2806 "meter_properties": [
2807 {
2808 "id": "string",
2809 "reference": "string",
2810 "meter_property": {
2811 "object_type": "string",
2812 "id": "string",
2813 "reference": "string",
2814 "name": "string",
2815 "description": "string",
2816 "status": "DRAFT",
2817 "type": "NUMBER",
2818 "enum_values": [
2819 "string"
2820 ]
2821 },
2822 "value": "string",
2823 "values": [
2824 "string"
2825 ],
2826 "comparator": "EQUALS"
2827 }
2828 ],
2829 "configs": [
2830 {}
2831 ]
2832 },
2833 "order": 1,
2834 "billing_in_advance": true,
2835 "volume_group_reference": "string",
2836 "top_up": {
2837 "rollover": true
2838 },
2839 "split_pricing": {
2840 "meter_properties": [
2841 {
2842 "id": "string",
2843 "reference": "string",
2844 "value": "string",
2845 "meter_property": {
2846 "object_type": "string",
2847 "id": "string",
2848 "reference": "string",
2849 "name": "string",
2850 "description": "string",
2851 "status": "DRAFT",
2852 "type": "NUMBER",
2853 "enum_values": [
2854 "string"
2855 ]
2856 }
2857 }
2858 ]
2859 },
2860 "on_demand": true,
2861 "wallet_grants": [
2862 {
2863 "wallet_type_id": "string",
2864 "wallet_type": {
2865 "object_type": "string",
2866 "id": "string",
2867 "name": "string",
2868 "reference": "string",
2869 "status": "DRAFT",
2870 "type": "CREDIT",
2871 "credit": {
2872 "grant_type": "CREDITS",
2873 "amount_grant": {
2874 "default_currency": "AED",
2875 "tax_category": "STANDARD"
2876 },
2877 "credits_grant": {
2878 "credit_type_id": "string"
2879 }
2880 },
2881 "balance": {
2882 "default_currency": "string"
2883 },
2884 "created_at": "string",
2885 "updated_at": "string"
2886 },
2887 "amount_grant": {
2888 "amount": {
2889 "quantity": "string",
2890 "currency": "AED"
2891 },
2892 "percentage": "string"
2893 },
2894 "credits_grant": {
2895 "credits": {
2896 "quantity": "string",
2897 "credit_type_id": "string"
2898 },
2899 "conversion": "string"
2900 },
2901 "expiry_policy": {
2902 "expiry_period": {
2903 "type": "DAY",
2904 "value": 1
2905 }
2906 }
2907 }
2908 ],
2909 "type": "FLAT",
2910 "pricing_type": "FLAT",
2911 "bands": [
2912 {
2913 "amount": {
2914 "quantity": "string",
2915 "currency": "AED"
2916 },
2917 "percentage": "string",
2918 "credits": {
2919 "quantity": "string",
2920 "credit_type_id": "string"
2921 },
2922 "fixed_amount": {
2923 "quantity": "string",
2924 "currency": "AED"
2925 },
2926 "maximum_amount": {
2927 "quantity": "string",
2928 "currency": "AED"
2929 },
2930 "minimum_amount": {
2931 "quantity": "string",
2932 "currency": "AED"
2933 },
2934 "maximum_number": "string",
2935 "minimum_number": "string",
2936 "block_size": {
2937 "number": "string",
2938 "amount": {
2939 "quantity": "string",
2940 "currency": "AED"
2941 },
2942 "count": "string"
2943 },
2944 "tier_top_bound": {
2945 "number": "string",
2946 "amount": {
2947 "quantity": "string",
2948 "currency": "AED"
2949 },
2950 "count": "string"
2951 }
2952 }
2953 ]
2954 }
2955 ],
2956 "pricing_currency_configs": [
2957 {
2958 "currency": "AED",
2959 "configs": [
2960 {
2961 "object_type": "string",
2962 "id": "string",
2963 "original_pricing_item_config_id": "string",
2964 "original_pricing_item_config": {},
2965 "details": {
2966 "billing_period": {
2967 "type": "DAY",
2968 "value": 1
2969 },
2970 "pricing_type": "FLAT",
2971 "pricing_period": {
2972 "type": "DAY",
2973 "value": 1
2974 },
2975 "bands": [
2976 {
2977 "amount": {
2978 "quantity": "string",
2979 "currency": "AED"
2980 },
2981 "percentage": "string",
2982 "credits": {
2983 "quantity": "string",
2984 "credit_type_id": "string"
2985 },
2986 "fixed_amount": {
2987 "quantity": "string",
2988 "currency": "AED"
2989 },
2990 "maximum_amount": {
2991 "quantity": "string",
2992 "currency": "AED"
2993 },
2994 "minimum_amount": {
2995 "quantity": "string",
2996 "currency": "AED"
2997 },
2998 "maximum_number": "string",
2999 "minimum_number": "string",
3000 "block_size": {
3001 "number": "string",
3002 "amount": {
3003 "quantity": "string",
3004 "currency": "AED"
3005 },
3006 "count": "string"
3007 },
3008 "tier_top_bound": {
3009 "number": "string",
3010 "amount": {
3011 "quantity": "string",
3012 "currency": "AED"
3013 },
3014 "count": "string"
3015 }
3016 }
3017 ]
3018 },
3019 "billing_period": {
3020 "type": "DAY",
3021 "value": 1
3022 },
3023 "pricing_period": {
3024 "type": "DAY",
3025 "value": 1
3026 },
3027 "default_included_volume": {
3028 "number": "string",
3029 "amount": {
3030 "quantity": "string",
3031 "currency": "AED"
3032 },
3033 "count": "string",
3034 "reset_type": "string"
3035 },
3036 "default_seats_value": {
3037 "number": "string",
3038 "amount": {
3039 "quantity": "string",
3040 "currency": "AED"
3041 },
3042 "count": "string"
3043 },
3044 "conditions": {
3045 "name": "string",
3046 "meter_properties": [
3047 {
3048 "id": "string",
3049 "reference": "string",
3050 "meter_property": {
3051 "object_type": "string",
3052 "id": "string",
3053 "reference": "string",
3054 "name": "string",
3055 "description": "string",
3056 "status": "DRAFT",
3057 "type": "NUMBER",
3058 "enum_values": [
3059 "string"
3060 ]
3061 },
3062 "value": "string",
3063 "values": [
3064 "string"
3065 ],
3066 "comparator": "EQUALS"
3067 }
3068 ],
3069 "configs": [
3070 {}
3071 ]
3072 },
3073 "order": 1,
3074 "billing_in_advance": true,
3075 "volume_group_reference": "string",
3076 "top_up": {
3077 "rollover": true
3078 },
3079 "split_pricing": {
3080 "meter_properties": [
3081 {
3082 "id": "string",
3083 "reference": "string",
3084 "value": "string",
3085 "meter_property": {
3086 "object_type": "string",
3087 "id": "string",
3088 "reference": "string",
3089 "name": "string",
3090 "description": "string",
3091 "status": "DRAFT",
3092 "type": "NUMBER",
3093 "enum_values": [
3094 "string"
3095 ]
3096 }
3097 }
3098 ]
3099 },
3100 "on_demand": true,
3101 "wallet_grants": [
3102 {
3103 "wallet_type_id": "string",
3104 "wallet_type": {
3105 "object_type": "string",
3106 "id": "string",
3107 "name": "string",
3108 "reference": "string",
3109 "status": "DRAFT",
3110 "type": "CREDIT",
3111 "credit": {
3112 "grant_type": "CREDITS",
3113 "amount_grant": {
3114 "default_currency": "AED",
3115 "tax_category": "STANDARD"
3116 },
3117 "credits_grant": {
3118 "credit_type_id": "string"
3119 }
3120 },
3121 "balance": {
3122 "default_currency": "string"
3123 },
3124 "created_at": "string",
3125 "updated_at": "string"
3126 },
3127 "amount_grant": {
3128 "amount": {
3129 "quantity": "string",
3130 "currency": "AED"
3131 },
3132 "percentage": "string"
3133 },
3134 "credits_grant": {
3135 "credits": {
3136 "quantity": "string",
3137 "credit_type_id": "string"
3138 },
3139 "conversion": "string"
3140 },
3141 "expiry_policy": {
3142 "expiry_period": {
3143 "type": "DAY",
3144 "value": 1
3145 }
3146 }
3147 }
3148 ],
3149 "type": "FLAT",
3150 "pricing_type": "FLAT",
3151 "bands": [
3152 {
3153 "amount": {
3154 "quantity": "string",
3155 "currency": "AED"
3156 },
3157 "percentage": "string",
3158 "credits": {
3159 "quantity": "string",
3160 "credit_type_id": "string"
3161 },
3162 "fixed_amount": {
3163 "quantity": "string",
3164 "currency": "AED"
3165 },
3166 "maximum_amount": {
3167 "quantity": "string",
3168 "currency": "AED"
3169 },
3170 "minimum_amount": {
3171 "quantity": "string",
3172 "currency": "AED"
3173 },
3174 "maximum_number": "string",
3175 "minimum_number": "string",
3176 "block_size": {
3177 "number": "string",
3178 "amount": {
3179 "quantity": "string",
3180 "currency": "AED"
3181 },
3182 "count": "string"
3183 },
3184 "tier_top_bound": {
3185 "number": "string",
3186 "amount": {
3187 "quantity": "string",
3188 "currency": "AED"
3189 },
3190 "count": "string"
3191 }
3192 }
3193 ]
3194 }
3195 ],
3196 "billing_period_configs": [
3197 {
3198 "billing_period": {
3199 "type": "DAY",
3200 "value": 1
3201 },
3202 "configs": [
3203 {
3204 "object_type": "string",
3205 "id": "string",
3206 "original_pricing_item_config_id": "string",
3207 "original_pricing_item_config": {},
3208 "details": {
3209 "billing_period": {
3210 "type": "DAY",
3211 "value": 1
3212 },
3213 "pricing_type": "FLAT",
3214 "pricing_period": {
3215 "type": "DAY",
3216 "value": 1
3217 },
3218 "bands": [
3219 {
3220 "amount": {
3221 "quantity": "string",
3222 "currency": "AED"
3223 },
3224 "percentage": "string",
3225 "credits": {
3226 "quantity": "string",
3227 "credit_type_id": "string"
3228 },
3229 "fixed_amount": {
3230 "quantity": "string",
3231 "currency": "AED"
3232 },
3233 "maximum_amount": {
3234 "quantity": "string",
3235 "currency": "AED"
3236 },
3237 "minimum_amount": {
3238 "quantity": "string",
3239 "currency": "AED"
3240 },
3241 "maximum_number": "string",
3242 "minimum_number": "string",
3243 "block_size": {
3244 "number": "string",
3245 "amount": {
3246 "quantity": {},
3247 "currency": {}
3248 },
3249 "count": "string"
3250 },
3251 "tier_top_bound": {
3252 "number": "string",
3253 "amount": {
3254 "quantity": {},
3255 "currency": {}
3256 },
3257 "count": "string"
3258 }
3259 }
3260 ]
3261 },
3262 "billing_period": {
3263 "type": "DAY",
3264 "value": 1
3265 },
3266 "pricing_period": {
3267 "type": "DAY",
3268 "value": 1
3269 },
3270 "default_included_volume": {
3271 "number": "string",
3272 "amount": {
3273 "quantity": "string",
3274 "currency": "AED"
3275 },
3276 "count": "string",
3277 "reset_type": "string"
3278 },
3279 "default_seats_value": {
3280 "number": "string",
3281 "amount": {
3282 "quantity": "string",
3283 "currency": "AED"
3284 },
3285 "count": "string"
3286 },
3287 "conditions": {
3288 "name": "string",
3289 "meter_properties": [
3290 {
3291 "id": "string",
3292 "reference": "string",
3293 "meter_property": {
3294 "object_type": "string",
3295 "id": "string",
3296 "reference": "string",
3297 "name": "string",
3298 "description": "string",
3299 "status": "DRAFT",
3300 "type": "NUMBER",
3301 "enum_values": [
3302 "string"
3303 ]
3304 },
3305 "value": "string",
3306 "values": [
3307 "string"
3308 ],
3309 "comparator": "EQUALS"
3310 }
3311 ],
3312 "configs": [
3313 {}
3314 ]
3315 },
3316 "order": 1,
3317 "billing_in_advance": true,
3318 "volume_group_reference": "string",
3319 "top_up": {
3320 "rollover": true
3321 },
3322 "split_pricing": {
3323 "meter_properties": [
3324 {
3325 "id": "string",
3326 "reference": "string",
3327 "value": "string",
3328 "meter_property": {
3329 "object_type": "string",
3330 "id": "string",
3331 "reference": "string",
3332 "name": "string",
3333 "description": "string",
3334 "status": "DRAFT",
3335 "type": "NUMBER",
3336 "enum_values": [
3337 "string"
3338 ]
3339 }
3340 }
3341 ]
3342 },
3343 "on_demand": true,
3344 "wallet_grants": [
3345 {
3346 "wallet_type_id": "string",
3347 "wallet_type": {
3348 "object_type": "string",
3349 "id": "string",
3350 "name": "string",
3351 "reference": "string",
3352 "status": "DRAFT",
3353 "type": "CREDIT",
3354 "credit": {
3355 "grant_type": "CREDITS",
3356 "amount_grant": {
3357 "default_currency": {},
3358 "tax_category": {}
3359 },
3360 "credits_grant": {
3361 "credit_type_id": {}
3362 }
3363 },
3364 "balance": {
3365 "default_currency": "string"
3366 },
3367 "created_at": "string",
3368 "updated_at": "string"
3369 },
3370 "amount_grant": {
3371 "amount": {
3372 "quantity": "string",
3373 "currency": "AED"
3374 },
3375 "percentage": "string"
3376 },
3377 "credits_grant": {
3378 "credits": {
3379 "quantity": "string",
3380 "credit_type_id": "string"
3381 },
3382 "conversion": "string"
3383 },
3384 "expiry_policy": {
3385 "expiry_period": {
3386 "type": "DAY",
3387 "value": 1
3388 }
3389 }
3390 }
3391 ],
3392 "type": "FLAT",
3393 "pricing_type": "FLAT",
3394 "bands": [
3395 {
3396 "amount": {
3397 "quantity": "string",
3398 "currency": "AED"
3399 },
3400 "percentage": "string",
3401 "credits": {
3402 "quantity": "string",
3403 "credit_type_id": "string"
3404 },
3405 "fixed_amount": {
3406 "quantity": "string",
3407 "currency": "AED"
3408 },
3409 "maximum_amount": {
3410 "quantity": "string",
3411 "currency": "AED"
3412 },
3413 "minimum_amount": {
3414 "quantity": "string",
3415 "currency": "AED"
3416 },
3417 "maximum_number": "string",
3418 "minimum_number": "string",
3419 "block_size": {
3420 "number": "string",
3421 "amount": {
3422 "quantity": "string",
3423 "currency": "AED"
3424 },
3425 "count": "string"
3426 },
3427 "tier_top_bound": {
3428 "number": "string",
3429 "amount": {
3430 "quantity": "string",
3431 "currency": "AED"
3432 },
3433 "count": "string"
3434 }
3435 }
3436 ]
3437 }
3438 ]
3439 }
3440 ],
3441 "fallback_currency": "AED"
3442 }
3443 ],
3444 "billing_period_configs": [
3445 {
3446 "billing_period": {
3447 "type": "DAY",
3448 "value": 1
3449 },
3450 "configs": [
3451 {
3452 "object_type": "string",
3453 "id": "string",
3454 "original_pricing_item_config_id": "string",
3455 "original_pricing_item_config": {},
3456 "details": {
3457 "billing_period": {
3458 "type": "DAY",
3459 "value": 1
3460 },
3461 "pricing_type": "FLAT",
3462 "pricing_period": {
3463 "type": "DAY",
3464 "value": 1
3465 },
3466 "bands": [
3467 {
3468 "amount": {
3469 "quantity": "string",
3470 "currency": "AED"
3471 },
3472 "percentage": "string",
3473 "credits": {
3474 "quantity": "string",
3475 "credit_type_id": "string"
3476 },
3477 "fixed_amount": {
3478 "quantity": "string",
3479 "currency": "AED"
3480 },
3481 "maximum_amount": {
3482 "quantity": "string",
3483 "currency": "AED"
3484 },
3485 "minimum_amount": {
3486 "quantity": "string",
3487 "currency": "AED"
3488 },
3489 "maximum_number": "string",
3490 "minimum_number": "string",
3491 "block_size": {
3492 "number": "string",
3493 "amount": {
3494 "quantity": "string",
3495 "currency": "AED"
3496 },
3497 "count": "string"
3498 },
3499 "tier_top_bound": {
3500 "number": "string",
3501 "amount": {
3502 "quantity": "string",
3503 "currency": "AED"
3504 },
3505 "count": "string"
3506 }
3507 }
3508 ]
3509 },
3510 "billing_period": {
3511 "type": "DAY",
3512 "value": 1
3513 },
3514 "pricing_period": {
3515 "type": "DAY",
3516 "value": 1
3517 },
3518 "default_included_volume": {
3519 "number": "string",
3520 "amount": {
3521 "quantity": "string",
3522 "currency": "AED"
3523 },
3524 "count": "string",
3525 "reset_type": "string"
3526 },
3527 "default_seats_value": {
3528 "number": "string",
3529 "amount": {
3530 "quantity": "string",
3531 "currency": "AED"
3532 },
3533 "count": "string"
3534 },
3535 "conditions": {
3536 "name": "string",
3537 "meter_properties": [
3538 {
3539 "id": "string",
3540 "reference": "string",
3541 "meter_property": {
3542 "object_type": "string",
3543 "id": "string",
3544 "reference": "string",
3545 "name": "string",
3546 "description": "string",
3547 "status": "DRAFT",
3548 "type": "NUMBER",
3549 "enum_values": [
3550 "string"
3551 ]
3552 },
3553 "value": "string",
3554 "values": [
3555 "string"
3556 ],
3557 "comparator": "EQUALS"
3558 }
3559 ],
3560 "configs": [
3561 {}
3562 ]
3563 },
3564 "order": 1,
3565 "billing_in_advance": true,
3566 "volume_group_reference": "string",
3567 "top_up": {
3568 "rollover": true
3569 },
3570 "split_pricing": {
3571 "meter_properties": [
3572 {
3573 "id": "string",
3574 "reference": "string",
3575 "value": "string",
3576 "meter_property": {
3577 "object_type": "string",
3578 "id": "string",
3579 "reference": "string",
3580 "name": "string",
3581 "description": "string",
3582 "status": "DRAFT",
3583 "type": "NUMBER",
3584 "enum_values": [
3585 "string"
3586 ]
3587 }
3588 }
3589 ]
3590 },
3591 "on_demand": true,
3592 "wallet_grants": [
3593 {
3594 "wallet_type_id": "string",
3595 "wallet_type": {
3596 "object_type": "string",
3597 "id": "string",
3598 "name": "string",
3599 "reference": "string",
3600 "status": "DRAFT",
3601 "type": "CREDIT",
3602 "credit": {
3603 "grant_type": "CREDITS",
3604 "amount_grant": {
3605 "default_currency": "AED",
3606 "tax_category": "STANDARD"
3607 },
3608 "credits_grant": {
3609 "credit_type_id": "string"
3610 }
3611 },
3612 "balance": {
3613 "default_currency": "string"
3614 },
3615 "created_at": "string",
3616 "updated_at": "string"
3617 },
3618 "amount_grant": {
3619 "amount": {
3620 "quantity": "string",
3621 "currency": "AED"
3622 },
3623 "percentage": "string"
3624 },
3625 "credits_grant": {
3626 "credits": {
3627 "quantity": "string",
3628 "credit_type_id": "string"
3629 },
3630 "conversion": "string"
3631 },
3632 "expiry_policy": {
3633 "expiry_period": {
3634 "type": "DAY",
3635 "value": 1
3636 }
3637 }
3638 }
3639 ],
3640 "type": "FLAT",
3641 "pricing_type": "FLAT",
3642 "bands": [
3643 {
3644 "amount": {
3645 "quantity": "string",
3646 "currency": "AED"
3647 },
3648 "percentage": "string",
3649 "credits": {
3650 "quantity": "string",
3651 "credit_type_id": "string"
3652 },
3653 "fixed_amount": {
3654 "quantity": "string",
3655 "currency": "AED"
3656 },
3657 "maximum_amount": {
3658 "quantity": "string",
3659 "currency": "AED"
3660 },
3661 "minimum_amount": {
3662 "quantity": "string",
3663 "currency": "AED"
3664 },
3665 "maximum_number": "string",
3666 "minimum_number": "string",
3667 "block_size": {
3668 "number": "string",
3669 "amount": {
3670 "quantity": "string",
3671 "currency": "AED"
3672 },
3673 "count": "string"
3674 },
3675 "tier_top_bound": {
3676 "number": "string",
3677 "amount": {
3678 "quantity": "string",
3679 "currency": "AED"
3680 },
3681 "count": "string"
3682 }
3683 }
3684 ]
3685 }
3686 ]
3687 }
3688 ],
3689 "display_order": 1
3690 }
3691 ]
3692 }
3693 ],
3694 "pricing_groups": [
3695 {
3696 "object_type": "string",
3697 "id": "string",
3698 "pricing_plan_version_id": "string",
3699 "name": "string",
3700 "product_type": "DEFAULT",
3701 "selection_constraint": "ANY",
3702 "display_order": 1,
3703 "pricings": [
3704 {
3705 "object_type": "string",
3706 "id": "string",
3707 "pricing_plan_version_id": "string",
3708 "pricing_plan_schedule_id": "string",
3709 "pricing_group_id": "string",
3710 "original_pricing_id": "string",
3711 "original_pricing": {},
3712 "override": "ALL",
3713 "name": "string",
3714 "product_type": "DEFAULT",
3715 "product_ids": [
3716 "string"
3717 ],
3718 "display_order": 1,
3719 "products": [
3720 {
3721 "object_type": "string",
3722 "id": "string",
3723 "category_id": "string",
3724 "category": {
3725 "object_type": "string",
3726 "id": "string",
3727 "name": "string",
3728 "reference": "string",
3729 "description": "string",
3730 "tax_category": "STANDARD",
3731 "display_order": 1,
3732 "customer_id": "string"
3733 },
3734 "parent_product_id": "string",
3735 "name": "string",
3736 "reference": "string",
3737 "description": "string",
3738 "status": "DRAFT",
3739 "product_type": "DEFAULT",
3740 "tax_category": "STANDARD",
3741 "features": [
3742 {
3743 "id": "string",
3744 "reference": "string"
3745 }
3746 ],
3747 "custom_fields": [
3748 {
3749 "id": "string",
3750 "reference": "string",
3751 "value": "string",
3752 "values": [
3753 "string"
3754 ],
3755 "integration_details": {
3756 "id": "string",
3757 "reference": "string",
3758 "payment_gateway_variant": "ADYEN",
3759 "adyen": {
3760 "recurring_detail_reference": "string"
3761 },
3762 "stripe": {
3763 "payment_method_id": "string"
3764 }
3765 }
3766 }
3767 ],
3768 "display_order": 1,
3769 "linked_integrations": [
3770 {
3771 "id": "string",
3772 "link_details": [
3773 {
3774 "url": "string",
3775 "custom_field_name": "string"
3776 }
3777 ]
3778 }
3779 ],
3780 "billing_entity_id": "string",
3781 "customer_id": "string"
3782 }
3783 ],
3784 "entitlements": [
3785 {
3786 "feature_id": "string",
3787 "feature": {
3788 "object_type": "string",
3789 "id": "string",
3790 "reference": "string",
3791 "name": "string",
3792 "description": "string",
3793 "type": "SWITCH",
3794 "enum_values": [
3795 "string"
3796 ],
3797 "meter_value_calculation_id": "string",
3798 "meter_value_calculation": {
3799 "object_type": "string",
3800 "id": "string",
3801 "reference": "string",
3802 "name": "string",
3803 "description": "string",
3804 "calculation_type": "SUM",
3805 "persist": true,
3806 "meter_id": "string",
3807 "meter": {
3808 "object_type": "string",
3809 "id": "string",
3810 "reference": "string",
3811 "name": "string",
3812 "description": "string",
3813 "status": "DRAFT",
3814 "meter_values": [
3815 {
3816 "id": "string",
3817 "object": {
3818 "object_type": "string",
3819 "id": "string",
3820 "reference": "string",
3821 "name": "string",
3822 "description": "string",
3823 "status": "DRAFT",
3824 "type": "NUMBER"
3825 },
3826 "required": true
3827 }
3828 ],
3829 "meter_properties": [
3830 {
3831 "id": "string",
3832 "object": {
3833 "object_type": "string",
3834 "id": "string",
3835 "reference": "string",
3836 "name": "string",
3837 "description": "string",
3838 "status": "DRAFT",
3839 "type": "NUMBER",
3840 "enum_values": [
3841 "string"
3842 ]
3843 },
3844 "required": true
3845 }
3846 ]
3847 },
3848 "meter_value_id": "string",
3849 "meter_value": {
3850 "object_type": "string",
3851 "id": "string",
3852 "reference": "string",
3853 "name": "string",
3854 "description": "string",
3855 "status": "DRAFT",
3856 "type": "NUMBER"
3857 },
3858 "meter_property_id": "string",
3859 "meter_property": {
3860 "object_type": "string",
3861 "id": "string",
3862 "reference": "string",
3863 "name": "string",
3864 "description": "string",
3865 "status": "DRAFT",
3866 "type": "NUMBER",
3867 "enum_values": [
3868 "string"
3869 ]
3870 }
3871 }
3872 },
3873 "feature_reference": "string",
3874 "override": true,
3875 "number": "string",
3876 "switch": true,
3877 "amount": {
3878 "quantity": "string",
3879 "currency": "AED"
3880 },
3881 "enum": "string",
3882 "string": "string",
3883 "overwrite": true
3884 }
3885 ],
3886 "items": [
3887 {
3888 "object_type": "string",
3889 "id": "string",
3890 "original_pricing_item_id": "string",
3891 "original_pricing_item": {},
3892 "override": "ALL",
3893 "product_item_ids": [
3894 "string"
3895 ],
3896 "product_items": [
3897 {
3898 "object_type": "string",
3899 "id": "string",
3900 "product_id": "string",
3901 "product": {
3902 "object_type": "string",
3903 "id": "string",
3904 "category_id": "string",
3905 "category": {
3906 "object_type": "string",
3907 "id": "string",
3908 "name": "string",
3909 "reference": "string",
3910 "description": "string",
3911 "tax_category": "STANDARD",
3912 "display_order": 1,
3913 "customer_id": "string"
3914 },
3915 "parent_product_id": "string",
3916 "name": "string",
3917 "reference": "string",
3918 "description": "string",
3919 "status": "DRAFT",
3920 "product_type": "DEFAULT",
3921 "tax_category": "STANDARD",
3922 "features": [
3923 {
3924 "id": "string",
3925 "reference": "string"
3926 }
3927 ],
3928 "custom_fields": [
3929 {
3930 "id": "string",
3931 "reference": "string",
3932 "value": "string",
3933 "values": [
3934 "string"
3935 ],
3936 "integration_details": {
3937 "id": "string",
3938 "reference": "string",
3939 "payment_gateway_variant": "ADYEN",
3940 "adyen": {
3941 "recurring_detail_reference": "string"
3942 },
3943 "stripe": {
3944 "payment_method_id": "string"
3945 }
3946 }
3947 }
3948 ],
3949 "display_order": 1,
3950 "linked_integrations": [
3951 {
3952 "id": "string",
3953 "link_details": [
3954 {
3955 "url": "string",
3956 "custom_field_name": "string"
3957 }
3958 ]
3959 }
3960 ],
3961 "billing_entity_id": "string",
3962 "customer_id": "string"
3963 },
3964 "name": "string",
3965 "status": "DRAFT",
3966 "reference": "string",
3967 "description": "string",
3968 "type": "REVENUE",
3969 "model_type": "USAGE_BASED",
3970 "usage_based": {
3971 "meter_value_calculation_id": "string",
3972 "meter_value_calculation": {
3973 "object_type": "string",
3974 "id": "string",
3975 "reference": "string",
3976 "name": "string",
3977 "description": "string",
3978 "calculation_type": "SUM",
3979 "persist": true,
3980 "meter_id": "string",
3981 "meter": {
3982 "object_type": "string",
3983 "id": "string",
3984 "reference": "string",
3985 "name": "string",
3986 "description": "string",
3987 "status": "DRAFT",
3988 "meter_values": [
3989 {
3990 "id": "string",
3991 "object": {
3992 "object_type": {},
3993 "id": {},
3994 "reference": {},
3995 "name": {},
3996 "description": {},
3997 "status": {},
3998 "type": {}
3999 },
4000 "required": true
4001 }
4002 ],
4003 "meter_properties": [
4004 {
4005 "id": "string",
4006 "object": {
4007 "object_type": {},
4008 "id": {},
4009 "reference": {},
4010 "name": {},
4011 "description": {},
4012 "status": {},
4013 "type": {},
4014 "enum_values": {}
4015 },
4016 "required": true
4017 }
4018 ]
4019 },
4020 "meter_value_id": "string",
4021 "meter_value": {
4022 "object_type": "string",
4023 "id": "string",
4024 "reference": "string",
4025 "name": "string",
4026 "description": "string",
4027 "status": "DRAFT",
4028 "type": "NUMBER"
4029 },
4030 "meter_property_id": "string",
4031 "meter_property": {
4032 "object_type": "string",
4033 "id": "string",
4034 "reference": "string",
4035 "name": "string",
4036 "description": "string",
4037 "status": "DRAFT",
4038 "type": "NUMBER",
4039 "enum_values": [
4040 "string"
4041 ]
4042 }
4043 },
4044 "tiering_meter_value_calculation_id": "string",
4045 "tiering_meter_value_calculation": {
4046 "object_type": "string",
4047 "id": "string",
4048 "reference": "string",
4049 "name": "string",
4050 "description": "string",
4051 "calculation_type": "SUM",
4052 "persist": true,
4053 "meter_id": "string",
4054 "meter": {
4055 "object_type": "string",
4056 "id": "string",
4057 "reference": "string",
4058 "name": "string",
4059 "description": "string",
4060 "status": "DRAFT",
4061 "meter_values": [
4062 {
4063 "id": "string",
4064 "object": {
4065 "object_type": {},
4066 "id": {},
4067 "reference": {},
4068 "name": {},
4069 "description": {},
4070 "status": {},
4071 "type": {}
4072 },
4073 "required": true
4074 }
4075 ],
4076 "meter_properties": [
4077 {
4078 "id": "string",
4079 "object": {
4080 "object_type": {},
4081 "id": {},
4082 "reference": {},
4083 "name": {},
4084 "description": {},
4085 "status": {},
4086 "type": {},
4087 "enum_values": {}
4088 },
4089 "required": true
4090 }
4091 ]
4092 },
4093 "meter_value_id": "string",
4094 "meter_value": {
4095 "object_type": "string",
4096 "id": "string",
4097 "reference": "string",
4098 "name": "string",
4099 "description": "string",
4100 "status": "DRAFT",
4101 "type": "NUMBER"
4102 },
4103 "meter_property_id": "string",
4104 "meter_property": {
4105 "object_type": "string",
4106 "id": "string",
4107 "reference": "string",
4108 "name": "string",
4109 "description": "string",
4110 "status": "DRAFT",
4111 "type": "NUMBER",
4112 "enum_values": [
4113 "string"
4114 ]
4115 }
4116 },
4117 "report_meter_value_calculation_ids": [
4118 "string"
4119 ],
4120 "conditions": {
4121 "name": "string",
4122 "expression": {
4123 "operator": "AND",
4124 "operands": [
4125 {
4126 "meter_property": {
4127 "id": {},
4128 "reference": {},
4129 "meter_property": {},
4130 "value": {},
4131 "values": {},
4132 "comparator": {}
4133 },
4134 "expression": {}
4135 }
4136 ]
4137 },
4138 "meter_properties": [
4139 {
4140 "id": "string",
4141 "reference": "string",
4142 "meter_property": {
4143 "object_type": "string",
4144 "id": "string",
4145 "reference": "string",
4146 "name": "string",
4147 "description": "string",
4148 "status": "DRAFT",
4149 "type": "NUMBER",
4150 "enum_values": [
4151 "string"
4152 ]
4153 },
4154 "value": "string",
4155 "values": [
4156 "string"
4157 ],
4158 "comparator": "EQUALS"
4159 }
4160 ]
4161 }
4162 },
4163 "credits": {
4164 "credit_type_id": "string",
4165 "credit_type": {
4166 "object_type": "string",
4167 "id": "string",
4168 "reference": "string",
4169 "status": "DRAFT",
4170 "name": "string",
4171 "description": "string",
4172 "unit_name": {
4173 "singular": "string",
4174 "plural": "string"
4175 },
4176 "created_at": "string",
4177 "updated_at": "string"
4178 }
4179 },
4180 "meter_value_calculation": {
4181 "object_type": "string",
4182 "id": "string",
4183 "reference": "string",
4184 "name": "string",
4185 "description": "string",
4186 "calculation_type": "SUM",
4187 "persist": true,
4188 "meter_id": "string",
4189 "meter": {
4190 "object_type": "string",
4191 "id": "string",
4192 "reference": "string",
4193 "name": "string",
4194 "description": "string",
4195 "status": "DRAFT",
4196 "meter_values": [
4197 {
4198 "id": "string",
4199 "object": {
4200 "object_type": "string",
4201 "id": "string",
4202 "reference": "string",
4203 "name": "string",
4204 "description": "string",
4205 "status": "DRAFT",
4206 "type": "NUMBER"
4207 },
4208 "required": true
4209 }
4210 ],
4211 "meter_properties": [
4212 {
4213 "id": "string",
4214 "object": {
4215 "object_type": "string",
4216 "id": "string",
4217 "reference": "string",
4218 "name": "string",
4219 "description": "string",
4220 "status": "DRAFT",
4221 "type": "NUMBER",
4222 "enum_values": [
4223 "string"
4224 ]
4225 },
4226 "required": true
4227 }
4228 ]
4229 },
4230 "meter_value_id": "string",
4231 "meter_value": {
4232 "object_type": "string",
4233 "id": "string",
4234 "reference": "string",
4235 "name": "string",
4236 "description": "string",
4237 "status": "DRAFT",
4238 "type": "NUMBER"
4239 },
4240 "meter_property_id": "string",
4241 "meter_property": {
4242 "object_type": "string",
4243 "id": "string",
4244 "reference": "string",
4245 "name": "string",
4246 "description": "string",
4247 "status": "DRAFT",
4248 "type": "NUMBER",
4249 "enum_values": [
4250 "string"
4251 ]
4252 }
4253 },
4254 "tax_category": "STANDARD",
4255 "display_order": 1,
4256 "unit_name": {
4257 "singular": "string",
4258 "plural": "string"
4259 },
4260 "custom_fields": [
4261 {
4262 "id": "string",
4263 "reference": "string",
4264 "value": "string",
4265 "values": [
4266 "string"
4267 ],
4268 "integration_details": {
4269 "id": "string",
4270 "reference": "string",
4271 "payment_gateway_variant": "ADYEN",
4272 "adyen": {
4273 "recurring_detail_reference": "string"
4274 },
4275 "stripe": {
4276 "payment_method_id": "string"
4277 }
4278 }
4279 }
4280 ],
4281 "customer_id": "string",
4282 "meter_value_calculation_id": "string",
4283 "report_meter_value_calculation_ids": [
4284 "string"
4285 ]
4286 }
4287 ],
4288 "configs": [
4289 {
4290 "object_type": "string",
4291 "id": "string",
4292 "original_pricing_item_config_id": "string",
4293 "original_pricing_item_config": {},
4294 "details": {
4295 "billing_period": {
4296 "type": "DAY",
4297 "value": 1
4298 },
4299 "pricing_type": "FLAT",
4300 "pricing_period": {
4301 "type": "DAY",
4302 "value": 1
4303 },
4304 "bands": [
4305 {
4306 "amount": {
4307 "quantity": "string",
4308 "currency": "AED"
4309 },
4310 "percentage": "string",
4311 "credits": {
4312 "quantity": "string",
4313 "credit_type_id": "string"
4314 },
4315 "fixed_amount": {
4316 "quantity": "string",
4317 "currency": "AED"
4318 },
4319 "maximum_amount": {
4320 "quantity": "string",
4321 "currency": "AED"
4322 },
4323 "minimum_amount": {
4324 "quantity": "string",
4325 "currency": "AED"
4326 },
4327 "maximum_number": "string",
4328 "minimum_number": "string",
4329 "block_size": {
4330 "number": "string",
4331 "amount": {
4332 "quantity": "string",
4333 "currency": "AED"
4334 },
4335 "count": "string"
4336 },
4337 "tier_top_bound": {
4338 "number": "string",
4339 "amount": {
4340 "quantity": "string",
4341 "currency": "AED"
4342 },
4343 "count": "string"
4344 }
4345 }
4346 ]
4347 },
4348 "billing_period": {
4349 "type": "DAY",
4350 "value": 1
4351 },
4352 "pricing_period": {
4353 "type": "DAY",
4354 "value": 1
4355 },
4356 "default_included_volume": {
4357 "number": "string",
4358 "amount": {
4359 "quantity": "string",
4360 "currency": "AED"
4361 },
4362 "count": "string",
4363 "reset_type": "string"
4364 },
4365 "default_seats_value": {
4366 "number": "string",
4367 "amount": {
4368 "quantity": "string",
4369 "currency": "AED"
4370 },
4371 "count": "string"
4372 },
4373 "conditions": {
4374 "name": "string",
4375 "meter_properties": [
4376 {
4377 "id": "string",
4378 "reference": "string",
4379 "meter_property": {
4380 "object_type": "string",
4381 "id": "string",
4382 "reference": "string",
4383 "name": "string",
4384 "description": "string",
4385 "status": "DRAFT",
4386 "type": "NUMBER",
4387 "enum_values": [
4388 "string"
4389 ]
4390 },
4391 "value": "string",
4392 "values": [
4393 "string"
4394 ],
4395 "comparator": "EQUALS"
4396 }
4397 ],
4398 "configs": [
4399 {}
4400 ]
4401 },
4402 "order": 1,
4403 "billing_in_advance": true,
4404 "volume_group_reference": "string",
4405 "top_up": {
4406 "rollover": true
4407 },
4408 "split_pricing": {
4409 "meter_properties": [
4410 {
4411 "id": "string",
4412 "reference": "string",
4413 "value": "string",
4414 "meter_property": {
4415 "object_type": "string",
4416 "id": "string",
4417 "reference": "string",
4418 "name": "string",
4419 "description": "string",
4420 "status": "DRAFT",
4421 "type": "NUMBER",
4422 "enum_values": [
4423 "string"
4424 ]
4425 }
4426 }
4427 ]
4428 },
4429 "on_demand": true,
4430 "wallet_grants": [
4431 {
4432 "wallet_type_id": "string",
4433 "wallet_type": {
4434 "object_type": "string",
4435 "id": "string",
4436 "name": "string",
4437 "reference": "string",
4438 "status": "DRAFT",
4439 "type": "CREDIT",
4440 "credit": {
4441 "grant_type": "CREDITS",
4442 "amount_grant": {
4443 "default_currency": "AED",
4444 "tax_category": "STANDARD"
4445 },
4446 "credits_grant": {
4447 "credit_type_id": "string"
4448 }
4449 },
4450 "balance": {
4451 "default_currency": "string"
4452 },
4453 "created_at": "string",
4454 "updated_at": "string"
4455 },
4456 "amount_grant": {
4457 "amount": {
4458 "quantity": "string",
4459 "currency": "AED"
4460 },
4461 "percentage": "string"
4462 },
4463 "credits_grant": {
4464 "credits": {
4465 "quantity": "string",
4466 "credit_type_id": "string"
4467 },
4468 "conversion": "string"
4469 },
4470 "expiry_policy": {
4471 "expiry_period": {
4472 "type": "DAY",
4473 "value": 1
4474 }
4475 }
4476 }
4477 ],
4478 "type": "FLAT",
4479 "pricing_type": "FLAT",
4480 "bands": [
4481 {
4482 "amount": {
4483 "quantity": "string",
4484 "currency": "AED"
4485 },
4486 "percentage": "string",
4487 "credits": {
4488 "quantity": "string",
4489 "credit_type_id": "string"
4490 },
4491 "fixed_amount": {
4492 "quantity": "string",
4493 "currency": "AED"
4494 },
4495 "maximum_amount": {
4496 "quantity": "string",
4497 "currency": "AED"
4498 },
4499 "minimum_amount": {
4500 "quantity": "string",
4501 "currency": "AED"
4502 },
4503 "maximum_number": "string",
4504 "minimum_number": "string",
4505 "block_size": {
4506 "number": "string",
4507 "amount": {
4508 "quantity": "string",
4509 "currency": "AED"
4510 },
4511 "count": "string"
4512 },
4513 "tier_top_bound": {
4514 "number": "string",
4515 "amount": {
4516 "quantity": "string",
4517 "currency": "AED"
4518 },
4519 "count": "string"
4520 }
4521 }
4522 ]
4523 }
4524 ],
4525 "pricing_currency_configs": [
4526 {
4527 "currency": "AED",
4528 "configs": [
4529 {
4530 "object_type": "string",
4531 "id": "string",
4532 "original_pricing_item_config_id": "string",
4533 "original_pricing_item_config": {},
4534 "details": {
4535 "billing_period": {
4536 "type": "DAY",
4537 "value": 1
4538 },
4539 "pricing_type": "FLAT",
4540 "pricing_period": {
4541 "type": "DAY",
4542 "value": 1
4543 },
4544 "bands": [
4545 {
4546 "amount": {
4547 "quantity": "string",
4548 "currency": "AED"
4549 },
4550 "percentage": "string",
4551 "credits": {
4552 "quantity": "string",
4553 "credit_type_id": "string"
4554 },
4555 "fixed_amount": {
4556 "quantity": "string",
4557 "currency": "AED"
4558 },
4559 "maximum_amount": {
4560 "quantity": "string",
4561 "currency": "AED"
4562 },
4563 "minimum_amount": {
4564 "quantity": "string",
4565 "currency": "AED"
4566 },
4567 "maximum_number": "string",
4568 "minimum_number": "string",
4569 "block_size": {
4570 "number": "string",
4571 "amount": {
4572 "quantity": {},
4573 "currency": {}
4574 },
4575 "count": "string"
4576 },
4577 "tier_top_bound": {
4578 "number": "string",
4579 "amount": {
4580 "quantity": {},
4581 "currency": {}
4582 },
4583 "count": "string"
4584 }
4585 }
4586 ]
4587 },
4588 "billing_period": {
4589 "type": "DAY",
4590 "value": 1
4591 },
4592 "pricing_period": {
4593 "type": "DAY",
4594 "value": 1
4595 },
4596 "default_included_volume": {
4597 "number": "string",
4598 "amount": {
4599 "quantity": "string",
4600 "currency": "AED"
4601 },
4602 "count": "string",
4603 "reset_type": "string"
4604 },
4605 "default_seats_value": {
4606 "number": "string",
4607 "amount": {
4608 "quantity": "string",
4609 "currency": "AED"
4610 },
4611 "count": "string"
4612 },
4613 "conditions": {
4614 "name": "string",
4615 "meter_properties": [
4616 {
4617 "id": "string",
4618 "reference": "string",
4619 "meter_property": {
4620 "object_type": "string",
4621 "id": "string",
4622 "reference": "string",
4623 "name": "string",
4624 "description": "string",
4625 "status": "DRAFT",
4626 "type": "NUMBER",
4627 "enum_values": [
4628 "string"
4629 ]
4630 },
4631 "value": "string",
4632 "values": [
4633 "string"
4634 ],
4635 "comparator": "EQUALS"
4636 }
4637 ],
4638 "configs": [
4639 {}
4640 ]
4641 },
4642 "order": 1,
4643 "billing_in_advance": true,
4644 "volume_group_reference": "string",
4645 "top_up": {
4646 "rollover": true
4647 },
4648 "split_pricing": {
4649 "meter_properties": [
4650 {
4651 "id": "string",
4652 "reference": "string",
4653 "value": "string",
4654 "meter_property": {
4655 "object_type": "string",
4656 "id": "string",
4657 "reference": "string",
4658 "name": "string",
4659 "description": "string",
4660 "status": "DRAFT",
4661 "type": "NUMBER",
4662 "enum_values": [
4663 "string"
4664 ]
4665 }
4666 }
4667 ]
4668 },
4669 "on_demand": true,
4670 "wallet_grants": [
4671 {
4672 "wallet_type_id": "string",
4673 "wallet_type": {
4674 "object_type": "string",
4675 "id": "string",
4676 "name": "string",
4677 "reference": "string",
4678 "status": "DRAFT",
4679 "type": "CREDIT",
4680 "credit": {
4681 "grant_type": "CREDITS",
4682 "amount_grant": {
4683 "default_currency": {},
4684 "tax_category": {}
4685 },
4686 "credits_grant": {
4687 "credit_type_id": {}
4688 }
4689 },
4690 "balance": {
4691 "default_currency": "string"
4692 },
4693 "created_at": "string",
4694 "updated_at": "string"
4695 },
4696 "amount_grant": {
4697 "amount": {
4698 "quantity": "string",
4699 "currency": "AED"
4700 },
4701 "percentage": "string"
4702 },
4703 "credits_grant": {
4704 "credits": {
4705 "quantity": "string",
4706 "credit_type_id": "string"
4707 },
4708 "conversion": "string"
4709 },
4710 "expiry_policy": {
4711 "expiry_period": {
4712 "type": "DAY",
4713 "value": 1
4714 }
4715 }
4716 }
4717 ],
4718 "type": "FLAT",
4719 "pricing_type": "FLAT",
4720 "bands": [
4721 {
4722 "amount": {
4723 "quantity": "string",
4724 "currency": "AED"
4725 },
4726 "percentage": "string",
4727 "credits": {
4728 "quantity": "string",
4729 "credit_type_id": "string"
4730 },
4731 "fixed_amount": {
4732 "quantity": "string",
4733 "currency": "AED"
4734 },
4735 "maximum_amount": {
4736 "quantity": "string",
4737 "currency": "AED"
4738 },
4739 "minimum_amount": {
4740 "quantity": "string",
4741 "currency": "AED"
4742 },
4743 "maximum_number": "string",
4744 "minimum_number": "string",
4745 "block_size": {
4746 "number": "string",
4747 "amount": {
4748 "quantity": "string",
4749 "currency": "AED"
4750 },
4751 "count": "string"
4752 },
4753 "tier_top_bound": {
4754 "number": "string",
4755 "amount": {
4756 "quantity": "string",
4757 "currency": "AED"
4758 },
4759 "count": "string"
4760 }
4761 }
4762 ]
4763 }
4764 ],
4765 "billing_period_configs": [
4766 {
4767 "billing_period": {
4768 "type": "DAY",
4769 "value": 1
4770 },
4771 "configs": [
4772 {
4773 "object_type": "string",
4774 "id": "string",
4775 "original_pricing_item_config_id": "string",
4776 "original_pricing_item_config": {},
4777 "details": {
4778 "billing_period": {
4779 "type": "DAY",
4780 "value": 1
4781 },
4782 "pricing_type": "FLAT",
4783 "pricing_period": {
4784 "type": "DAY",
4785 "value": 1
4786 },
4787 "bands": [
4788 {
4789 "amount": {
4790 "quantity": {},
4791 "currency": {}
4792 },
4793 "percentage": "string",
4794 "credits": {
4795 "quantity": {},
4796 "credit_type_id": {}
4797 },
4798 "fixed_amount": {
4799 "quantity": {},
4800 "currency": {}
4801 },
4802 "maximum_amount": {
4803 "quantity": {},
4804 "currency": {}
4805 },
4806 "minimum_amount": {
4807 "quantity": {},
4808 "currency": {}
4809 },
4810 "maximum_number": "string",
4811 "minimum_number": "string",
4812 "block_size": {
4813 "number": {},
4814 "amount": {},
4815 "count": {}
4816 },
4817 "tier_top_bound": {
4818 "number": {},
4819 "amount": {},
4820 "count": {}
4821 }
4822 }
4823 ]
4824 },
4825 "billing_period": {
4826 "type": "DAY",
4827 "value": 1
4828 },
4829 "pricing_period": {
4830 "type": "DAY",
4831 "value": 1
4832 },
4833 "default_included_volume": {
4834 "number": "string",
4835 "amount": {
4836 "quantity": "string",
4837 "currency": "AED"
4838 },
4839 "count": "string",
4840 "reset_type": "string"
4841 },
4842 "default_seats_value": {
4843 "number": "string",
4844 "amount": {
4845 "quantity": "string",
4846 "currency": "AED"
4847 },
4848 "count": "string"
4849 },
4850 "conditions": {
4851 "name": "string",
4852 "meter_properties": [
4853 {
4854 "id": "string",
4855 "reference": "string",
4856 "meter_property": {
4857 "object_type": {},
4858 "id": {},
4859 "reference": {},
4860 "name": {},
4861 "description": {},
4862 "status": {},
4863 "type": {},
4864 "enum_values": {}
4865 },
4866 "value": "string",
4867 "values": [
4868 "string"
4869 ],
4870 "comparator": "EQUALS"
4871 }
4872 ],
4873 "configs": [
4874 {}
4875 ]
4876 },
4877 "order": 1,
4878 "billing_in_advance": true,
4879 "volume_group_reference": "string",
4880 "top_up": {
4881 "rollover": true
4882 },
4883 "split_pricing": {
4884 "meter_properties": [
4885 {
4886 "id": "string",
4887 "reference": "string",
4888 "value": "string",
4889 "meter_property": {
4890 "object_type": {},
4891 "id": {},
4892 "reference": {},
4893 "name": {},
4894 "description": {},
4895 "status": {},
4896 "type": {},
4897 "enum_values": {}
4898 }
4899 }
4900 ]
4901 },
4902 "on_demand": true,
4903 "wallet_grants": [
4904 {
4905 "wallet_type_id": "string",
4906 "wallet_type": {
4907 "object_type": "string",
4908 "id": "string",
4909 "name": "string",
4910 "reference": "string",
4911 "status": "DRAFT",
4912 "type": "CREDIT",
4913 "credit": {
4914 "grant_type": {},
4915 "amount_grant": {},
4916 "credits_grant": {}
4917 },
4918 "balance": {
4919 "default_currency": {}
4920 },
4921 "created_at": "string",
4922 "updated_at": "string"
4923 },
4924 "amount_grant": {
4925 "amount": {
4926 "quantity": {},
4927 "currency": {}
4928 },
[...]
